<?php
namespace Teknisa\EST\Modules\EstoqueCego\Controllers;

use Teknisa\EST\Controllers\TeknisaCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request\Filter;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;

use Zeedhi\Framework\Report\ReportService;

class Est95200AceiteRecusaDivergenciasController extends TeknisaCrud {

    protected $dataSourceName = "inventestcego_filial";
    protected $dataSourceManager;
    protected $environment;
    protected $crudService;
    protected $reportService;
    protected $service;
    
    protected $nrorg;
    protected $operador;
    protected $filialLogada;
    
    public function __construct($crudService, $parameterBag, $dataSourceManager, $environment,$Est95200AceiteRecusaDivergenciasService) {
        $this->crudService = $crudService;
        $this->dataSourceManager = $dataSourceManager;
        $this->environment = $environment;
        $this->service = $Est95200AceiteRecusaDivergenciasService;
        
        $this->operador = $environment->getCdOperador();
        $this->nrorg = $environment->getNrOrg();
        $this->filialLogada = $environment->getCdFilial();
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        
        $conditions = $request->getFilterCriteria()->getConditions();
        $this->service->formatMutipleFilialCode($conditions);
        $newFilterCriteria = new FilterCriteria($this->dataSourceName, $conditions);
        $filter = new DTO\Request\Filter($newFilterCriteria, $request->getMethod(), $request->getRoutePath(), $request->getUserId());
        $newResponse = new Response();
        parent::find($filter, $newResponse);
        $rows = $newResponse->getDataSets()[0]->getRows();
        
        $response->setDataSets(array(new DataSet('aceiteRecusaDiverFind', $rows)));
    }
}
