SQL> SELECT  COUNT(*)
  2  FROM USER_CONSTRAINTS
  3  WHERE OWNER = 'COMISSARIA_WEB'
  4
SQL> /

  COUNT(*)
----------
     14054

/

DECLARE
   C_EXEC         INTEGER;
   V_RESULT       INTEGER;
BEGIN
   BEGIN
      C_EXEC  := DBMS_SQL.OPEN_CURSOR;
      FOR C_DISABLE IN(SELECT 'ALTER TABLE '||TABLE_NAME||' DISABLE CONSTRAINT '||CONSTRAINT_NAME CONSTRAINTS
                       FROM USER_CONSTRAINTS
                       WHERE  OWNER = 'COMISSARIA_WEB') LOOP

         DBMS_SQL.PARSE(C_EXEC, C_DISABLE.CONSTRAINTS, DBMS_SQL.V7);
         V_RESULT := DBMS_SQL.EXECUTE(C_EXEC);

     END LOOP;
   END;
   DBMS_SQL.CLOSE_CURSOR(C_EXEC);
END;
/

DECLARE
   C_EXEC         INTEGER;
   V_RESULT       INTEGER;
BEGIN
   BEGIN

      C_EXEC  := DBMS_SQL.OPEN_CURSOR;
      FOR C_TABELA IN(SELECT 'TRUNCATE TABLE '||TABLE_NAME TABELA
                      FROM ALL_TABLES
                      WHERE  OWNER = 'COMISSARIA_WEB') LOOP

         DBMS_SQL.PARSE(C_EXEC, C_TABELA.TABELA, DBMS_SQL.V7);
         V_RESULT := DBMS_SQL.EXECUTE(C_EXEC);

     END LOOP;
     DBMS_SQL.CLOSE_CURSOR(C_EXEC);
END;
/

DECLARE
   C_EXEC         INTEGER;
   V_RESULT       INTEGER;
BEGIN
   BEGIN

      C_EXEC  := DBMS_SQL.OPEN_CURSOR;
      FOR C_DISABLE IN(SELECT 'ALTER TABLE '||TABLE_NAME||' ENABLE CONSTRAINT '||CONSTRAINT_NAME CONSTRAINTS
                       FROM USER_CONSTRAINTS
                       WHERE  OWNER = 'COMISSARIA_WEB') LOOP

         DBMS_SQL.PARSE(C_EXEC, C_DISABLE.CONSTRAINTS, DBMS_SQL.V7);
         V_RESULT := DBMS_SQL.EXECUTE(C_EXEC);

     END LOOP;
     DBMS_SQL.CLOSE_CURSOR(C_EXEC);
END;
/

**************************
Os comandos acima nao foram executados pois foi exportado o usuario
SKY utilizando a opao de exportar dados.

***************************


create database link CHEIROSO connect to MSAF_DES identified by msaf
using 'MSAF_SKY.WORLD'


============
ESTADO
===========

insert into estado
(cdpais, sgestado, nmestado, dtultatuesta)
select '0055', cod_estado, descricao, sysdate
from estado@cheiroso

select * from estado@cheiroso

=============
MUNICIPIO
=============


create table tablemuni2
(id             VARCHAR2(01),
 cdforn         VARCHAR2(21),
 cdpais         VARCHAR2(04),
 sigla          VARCHAR2(02),
 cdmuni         VARCHAR2(04)
)
/


create table tablemuni
(id             VARCHAR2(01),
 cdforn         VARCHAR2(21),
 sigla          VARCHAR2(02),
 cdmuni         VARCHAR2(04)
)
/


insert into MUNICIPIO
(cdpais, sgestado, cdmunicipio, nmmunicipio, dtultatumuni,cdmunicibge)


BEGIN

   FOR C_PRODINSERT IN (select '0055' cdpais, es.cod_estado, '78'||SUBSTR(mu.cod_municipio,3,1)||SUBSTR(mu.cod_municipio,4,1) cdmuni, substr(mu.descricao,1,30) descricao, sysdate, mu.cod_municipio
                       from estado@cheiroso es,  municipio@cheiroso mu
                        where es.ident_estado = mu.ident_estado and
                              length(mu.cod_municipio) = 5  and
                               not exists (select muni.cdmunicipio
                                           from municipio muni
                                           where muni.cdmunicibge = mu.cod_municipio)) LOOP


      begin
         insert into MUNICIPIO
            (cdpais, sgestado, cdmunicipio, nmmunicipio, dtultatumuni,cdmunicibge)
         VALUES
            (C_PRODINSERT.cdpais, C_PRODINSERT.cod_estado, C_PRODINSERT.cdmuni, C_PRODINSERT.descricao, C_PRODINSERT.sysdate, C_PRODINSERT.cod_municipio);
         COMMIT;
        exception
        when others then
            null;
         end;
   END LOOP;
END;
/

UPDATE MUNICIPIO
SET CDMUNICIPIO = '0'||CDMUNICIPIO
WHERE LENGTH(CDMUNICIPIO) = '3'



========================
FORNECEDOR COMISSARIA_WEB
=======================

importacao base versao 4

   -- Conta Contabil

      SELECT  * FROM CONTCTBL
      WHERE CDCONTCTBL = '2110010001'

      UPDATE  FORNECEDOR2
      SET CDCONTCTBL = NULL


   --- Modelo Fiscal

      SELECT  * FROM MODDOCFISC

      UPDATE  FORNECEDOR2
      SET CDMODDOCFISC = NULL

   ----- Tipo de Conta a Pagar

      SELECT * FROM TIPOCTPAGAR

      UPDATE  FORNECEDOR2
      SET CDTPCTPAGAR = NULL


   ----- Forma de Pagamento

      SELECT * FROM FORMPGTO

      INSERT INTO :DBTECNISA:FORMPGTO
      (CDFORMPGTO, NMFORMPGTO, IDTIPODTPGTO, IDTPPERIODO, DTULTATUFPGT)
      SELECT  CDFORMPGTO, NMFORMPGTO, IDTIPODTPGTO, IDTPPERIODO, DTULTATUFPGT
      FROM :GRWEB1P:FORMPGTO


   ----- Tipo de Cobranca

      SELECT  * FROM TIPOCOBR

      INSERT INTO :DBTECNISA:TIPOCOBR
      (CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB)
      SELECT CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB
      FROM :GRWEB1P:TIPOCOBR

   -----------

   CREATE TABLE FORNECEDOR2 AS
   SELECT DISTINCT
       FO.CDFORNECED, FO.IDTPIJURFORN, FO.NRINSJURFORN,   FO.NMRAZSOCFORN,
       FO.NMFANTFORN, FO.NRINSESTFORN, FO.NRINSMUNFORN,   FO.DTULTCMPFORN,
       FO.IDTPDESCFORN, FO.VRPEDESCFORN, FO.IDTIPOFORN,   FO.IDTPFRETFORN,
       FO.QTCNDPG1FORN, FO.QTCNDPG2FORN, FO.QTCNDPG3FORN, FO.QTCNDPG4FORN,
       FO.QTCNDPG5FORN, FO.QTCNDPG6FORN, FO.IDFORMPGFORN, FO.CDCSTDIG1ENT,
       FO.VRPERCINSS,   FO.DTCADAFORN,   FO.IDSITUCADA,    FO.CDCONTCTBL,
       FO.DSNOMCHQFORN, FO.VRPERPG1FORN, FO.VRPERPG2FORN, FO.VRPERPG3FORN,
       FO.VRPERPG4FORN, FO.VRPERPG5FORN, FO.VRPERPG6FORN, FO.NRNOTAFORN,
       FO.CDQUALIF,     FO.DTVALQUALIF,  FO.CDMODDOCFISC, FO.CDFORMPGTO,
       FO.IDTPFORPGTFO, FO.NRPARCPGTOFO, FO.NRDIAPGFIXFO, FO.IDUTDIAPGTFO,
       FO.CDTIPCOB,     FO.VRMINAUTFOR,  FO.QTMINAUTFOT,  FO.SGUNIDADE,
       FO.IDGERAFDTENT, FO.NRITEMAF,     FO.IDGERCONTPGT, FO.IDFORNAUTO,
       FO.CDTPCTPAGAR,  FO.IDENDEMISFOR, FO.IDENDCFOPFOR, FO.CDSENHAFOR,
       FO.DTULTATUFORN, FO.DSEMAILCOT,   FO.CDAJUCTPAG,   FO.CDTIPOFORN,
       FO.DSHOMEPAFOR,  FO.IDFORNCONTRI, FO.CDCFOPFORN,   FO.DSCFOPFORN,
       FO.CDGRUPOFISC,  FO.CDEXFORNECED, FO.IDPRIPUBFORN, FO.IDAGRUBOLFOR,
       FO.IDLIGEXTFORN, FO.VRPERPIFORN,  FO.DTINIVRPDESC, FO.CDTPBAIXAPAG,
       FO.IDFORNINTER,  FO.CDSEGMER,     FO.VRADIANTFORN, FO.CDGRUPFORN,
       FO.CDCLIENTE,    FO.DSMAILCOTCOP, FO.IDUTILZIPAF,  FO.NMCOMPRZSFOR
   FROM FORNECEDOR FO, NOTAFISCAL NT
   WHERE NT.DTENTRSAID BETWEEN '01/01/2005' AND '30/05/2005' AND
         NT.CDTIPOOPER   = '01'                              AND
         NT.IDENTRSAIDOP = 'E'                               AND
         FO.CDFORNECED   = NT.CDFORNECED

   INSERT INTO :DBTECNISA:FORNECEDOR
      (CDFORNECED, IDTPIJURFORN, NRINSJURFORN,   NMRAZSOCFORN,
       NMFANTFORN, NRINSESTFORN, NRINSMUNFORN,   DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN, CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN, VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN, NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC, CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO, IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,  SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT, IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR, CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,   CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,   DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN, IDAGRUBOLFOR,
       IDLIGEXTFORN, VRPERPIFORN,  DTINIVRPDESC, CDTPBAIXAPAG,
       IDFORNINTER,  CDSEGMER,     VRADIANTFORN, CDGRUPFORN,
       CDCLIENTE,    DSMAILCOTCOP, IDUTILZIPAF, NMCOMPRZSFOR)
   SELECT DISTINCT
       CDFORNECED,  IDTPIJURFORN,  NRINSJURFORN, NMRAZSOCFORN,
       NMFANTFORN,  NRINSESTFORN,  NRINSMUNFORN, DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN,  CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN,  VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN,  NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC,  CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO,  IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,   SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT,  IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR,  CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,    CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,    DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN,  IDAGRUBOLFOR,
       IDLIGEXTFORN, VRPERPIFORN,  DTINIVRPDESC,  CDTPBAIXAPAG,
       IDFORNINTER,  CDSEGMER,     VRADIANTFORN,  CDGRUPFORN,
       CDCLIENTE,    DSMAILCOTCOP, IDUTILZIPAF,   NMCOMPRZSFOR
   FROM :GRWEB1P:FORNECEDOR2

   INSERT INTO :DBTECNISA:ENDEFORN
      (CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR, DSCOMPENDFOR
       )
   SELECT
       CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR, DSCOMPENDFOR
   FROM :GRWEB1P:ENDEFORN2

SQL> SELECT  COUNT(*)
  2  FROM USER_CONSTRAINTS
  3  WHERE OWNER = 'COMISSARIA_WEB'
  4
SQL> /

  COUNT(*)
----------
     14054

/

DECLARE
   C_EXEC         INTEGER;
   V_RESULT       INTEGER;
BEGIN
   BEGIN
      C_EXEC  := DBMS_SQL.OPEN_CURSOR;
      FOR C_DISABLE IN(SELECT 'ALTER TABLE '||TABLE_NAME||' DISABLE CONSTRAINT '||CONSTRAINT_NAME CONSTRAINTS
                       FROM USER_CONSTRAINTS
                       WHERE  OWNER = 'COMISSARIA_WEB') LOOP

         DBMS_SQL.PARSE(C_EXEC, C_DISABLE.CONSTRAINTS, DBMS_SQL.V7);
         V_RESULT := DBMS_SQL.EXECUTE(C_EXEC);

     END LOOP;
   END;
   DBMS_SQL.CLOSE_CURSOR(C_EXEC);
END;
/

DECLARE
   C_EXEC         INTEGER;
   V_RESULT       INTEGER;
BEGIN
   BEGIN

      C_EXEC  := DBMS_SQL.OPEN_CURSOR;
      FOR C_TABELA IN(SELECT 'TRUNCATE TABLE '||TABLE_NAME TABELA
                      FROM ALL_TABLES
                      WHERE  OWNER = 'COMISSARIA_WEB') LOOP

         DBMS_SQL.PARSE(C_EXEC, C_TABELA.TABELA, DBMS_SQL.V7);
         V_RESULT := DBMS_SQL.EXECUTE(C_EXEC);

     END LOOP;
     DBMS_SQL.CLOSE_CURSOR(C_EXEC);
END;
/

DECLARE
   C_EXEC         INTEGER;
   V_RESULT       INTEGER;
BEGIN
   BEGIN

      C_EXEC  := DBMS_SQL.OPEN_CURSOR;
      FOR C_DISABLE IN(SELECT 'ALTER TABLE '||TABLE_NAME||' ENABLE CONSTRAINT '||CONSTRAINT_NAME CONSTRAINTS
                       FROM USER_CONSTRAINTS
                       WHERE  OWNER = 'COMISSARIA_WEB') LOOP

         DBMS_SQL.PARSE(C_EXEC, C_DISABLE.CONSTRAINTS, DBMS_SQL.V7);
         V_RESULT := DBMS_SQL.EXECUTE(C_EXEC);

     END LOOP;
     DBMS_SQL.CLOSE_CURSOR(C_EXEC);
END;
/

**************************
Os comandos acima nao foram executados pois foi exportado o usuario
SKY utilizando a opao de exportar dados.

***************************


create database link CHEIROSO connect to MSAF_DES identified by msaf
using 'MSAF_SKY.WORLD'


insert into estado
(cdpais, sgestado, nmestado, dtultatuesta)
select '0055', cod_estado, descricao, sysdate
from estado@cheiroso

select * from estado@cheiroso

insert into MUNICIPIO
(cdpais, sgestado, cdmunicipio, nmmunicipio, dtultatumuni,cdmunicibge)


BEGIN

   FOR C_PRODINSERT IN (select '0055' cdpais, es.cod_estado, '78'||SUBSTR(mu.cod_municipio,3,1)||SUBSTR(mu.cod_municipio,4,1) cdmuni, substr(mu.descricao,1,30) descricao, sysdate, mu.cod_municipio
                       from estado@cheiroso es,  municipio@cheiroso mu
                        where es.ident_estado = mu.ident_estado and
                              length(mu.cod_municipio) = 5  and
                               not exists (select muni.cdmunicipio
                                           from municipio muni
                                           where muni.cdmunicibge = mu.cod_municipio)) LOOP


      begin
         insert into MUNICIPIO
            (cdpais, sgestado, cdmunicipio, nmmunicipio, dtultatumuni,cdmunicibge)
         VALUES
            (C_PRODINSERT.cdpais, C_PRODINSERT.cod_estado, C_PRODINSERT.cdmuni, C_PRODINSERT.descricao, C_PRODINSERT.sysdate, C_PRODINSERT.cod_municipio);
         COMMIT;
        exception
        when others then
            null;
         end;
   END LOOP;
END;
/


========================
FORNECEDOR COMISSARIA_WEB
=======================

importacao base versao 4

   -- Conta Contabil

      SELECT  * FROM CONTCTBL
      WHERE CDCONTCTBL = '2110010001'

      UPDATE  FORNECEDOR2
      SET CDCONTCTBL = NULL


   --- Modelo Fiscal

      SELECT  * FROM MODDOCFISC

      UPDATE  FORNECEDOR2
      SET CDMODDOCFISC = NULL

   ----- Tipo de Conta a Pagar

      SELECT * FROM TIPOCTPAGAR

      UPDATE  FORNECEDOR2
      SET CDTPCTPAGAR = NULL


   ----- Forma de Pagamento

      SELECT * FROM FORMPGTO

      INSERT INTO :DBTECNISA:FORMPGTO
      (CDFORMPGTO, NMFORMPGTO, IDTIPODTPGTO, IDTPPERIODO, DTULTATUFPGT)
      SELECT  CDFORMPGTO, NMFORMPGTO, IDTIPODTPGTO, IDTPPERIODO, DTULTATUFPGT
      FROM :GRWEB1P:FORMPGTO


   ----- Tipo de Cobranca

      SELECT  * FROM TIPOCOBR

      INSERT INTO :DBTECNISA:TIPOCOBR
      (CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB)
      SELECT CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB
      FROM :GRWEB1P:TIPOCOBR

   -----------

   CREATE TABLE FORNECEDOR2 AS
   SELECT DISTINCT
       FO.CDFORNECED, FO.IDTPIJURFORN, FO.NRINSJURFORN,   FO.NMRAZSOCFORN,
       FO.NMFANTFORN, FO.NRINSESTFORN, FO.NRINSMUNFORN,   FO.DTULTCMPFORN,
       FO.IDTPDESCFORN, FO.VRPEDESCFORN, FO.IDTIPOFORN,   FO.IDTPFRETFORN,
       FO.QTCNDPG1FORN, FO.QTCNDPG2FORN, FO.QTCNDPG3FORN, FO.QTCNDPG4FORN,
       FO.QTCNDPG5FORN, FO.QTCNDPG6FORN, FO.IDFORMPGFORN, FO.CDCSTDIG1ENT,
       FO.VRPERCINSS,   FO.DTCADAFORN,   FO.IDSITUCADA,    FO.CDCONTCTBL,
       FO.DSNOMCHQFORN, FO.VRPERPG1FORN, FO.VRPERPG2FORN, FO.VRPERPG3FORN,
       FO.VRPERPG4FORN, FO.VRPERPG5FORN, FO.VRPERPG6FORN, FO.NRNOTAFORN,
       FO.CDQUALIF,     FO.DTVALQUALIF,  FO.CDMODDOCFISC, FO.CDFORMPGTO,
       FO.IDTPFORPGTFO, FO.NRPARCPGTOFO, FO.NRDIAPGFIXFO, FO.IDUTDIAPGTFO,
       FO.CDTIPCOB,     FO.VRMINAUTFOR,  FO.QTMINAUTFOT,  FO.SGUNIDADE,
       FO.IDGERAFDTENT, FO.NRITEMAF,     FO.IDGERCONTPGT, FO.IDFORNAUTO,
       FO.CDTPCTPAGAR,  FO.IDENDEMISFOR, FO.IDENDCFOPFOR, FO.CDSENHAFOR,
       FO.DTULTATUFORN, FO.DSEMAILCOT,   FO.CDAJUCTPAG,   FO.CDTIPOFORN,
       FO.DSHOMEPAFOR,  FO.IDFORNCONTRI, FO.CDCFOPFORN,   FO.DSCFOPFORN,
       FO.CDGRUPOFISC,  FO.CDEXFORNECED, FO.IDPRIPUBFORN, FO.IDAGRUBOLFOR,
       FO.IDLIGEXTFORN, FO.VRPERPIFORN,  FO.DTINIVRPDESC, FO.CDTPBAIXAPAG,
       FO.IDFORNINTER,  FO.CDSEGMER,     FO.VRADIANTFORN, FO.CDGRUPFORN,
       FO.CDCLIENTE,    FO.DSMAILCOTCOP, FO.IDUTILZIPAF,  FO.NMCOMPRZSFOR
   FROM FORNECEDOR FO, NOTAFISCAL NT
   WHERE NT.DTENTRSAID BETWEEN '01/01/2005' AND '30/05/2005' AND
         NT.CDTIPOOPER   = '01'                              AND
         NT.IDENTRSAIDOP = 'E'                               AND
         FO.CDFORNECED   = NT.CDFORNECED

   INSERT INTO :DBTECNISA:FORNECEDOR
      (CDFORNECED, IDTPIJURFORN, NRINSJURFORN,   NMRAZSOCFORN,
       NMFANTFORN, NRINSESTFORN, NRINSMUNFORN,   DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN, CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN, VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN, NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC, CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO, IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,  SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT, IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR, CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,   CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,   DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN, IDAGRUBOLFOR,
       IDLIGEXTFORN, VRPERPIFORN,  DTINIVRPDESC, CDTPBAIXAPAG,
       IDFORNINTER,  CDSEGMER,     VRADIANTFORN, CDGRUPFORN,
       CDCLIENTE,    DSMAILCOTCOP, IDUTILZIPAF, NMCOMPRZSFOR)
   SELECT DISTINCT
       CDFORNECED,  IDTPIJURFORN,  NRINSJURFORN, NMRAZSOCFORN,
       NMFANTFORN,  NRINSESTFORN,  NRINSMUNFORN, DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN,  CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN,  VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN,  NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC,  CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO,  IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,   SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT,  IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR,  CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,    CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,    DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN,  IDAGRUBOLFOR,
       IDLIGEXTFORN, VRPERPIFORN,  DTINIVRPDESC,  CDTPBAIXAPAG,
       IDFORNINTER,  CDSEGMER,     VRADIANTFORN,  CDGRUPFORN,
       CDCLIENTE,    DSMAILCOTCOP, IDUTILZIPAF,   NMCOMPRZSFOR
   FROM :GRWEB1P:FORNECEDOR2

   INSERT INTO :DBTECNISA:PRAZOPGTFORN
   (CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR)
   SELECT CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR
   FROM :GRWEB1P:PRAZOPGTFORN PR, :GRWEB1P:FORNECEDOR2 FO
   WHERE PR.CDFORNECED = FO.CDFORNECED

   UPDATE ENDEFORN
   SET CDPAIS  = '0055',
       SGESTADO = 'SP',
       CDMUNICIPIO = '1181'



   INSERT INTO :DBTECNISA:ENDEFORN
      (CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR, DSCOMPENDFOR
       )
   SELECT
       CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR, DSCOMPENDFOR
   FROM :GRWEB1P:ENDEFORN2

   SELECT IDTPENDEFORN, NRINSJURFORN, SUBSTR(NMRAZSOCFORN,1,20), E.SGESTADO, SUBSTR(M.NMMUNICIPIO,1,20)
   FROM ENDEFORN E, FORNECEDOR2 F, MUNICIPIO M
   WHERE E.CDFORNECED  = F.CDFORNECED AND
         E.CDPAIS      = M.CDPAIS     AND
         E.SGESTADO    = M.SGESTADO   AND
         E.CDMUNICIPIO = M.CDMUNICIPIO
   ORDER BY 3


   NUMERO FORNECEDOR 473

========================
FORNECEDOR SALVADOR
=======================

importacao base versao 1.53

   -- Conta Contabil

      UPDATE  FORNESALVADOR
      SET CDCONTCTBL = NULL

   --- Modelo Fiscal

      SELECT  * FROM MODDOCFISC

      UPDATE  FORNESALVADOR
      SET CDMODDOCFISC = NULL

   ----- Tipo de Conta a Pagar

      SELECT * FROM TIPOCTPAGAR

      UPDATE  FORNESALVADOR
      SET CDTPCTPAGAR = NULL

  ----------- Grupo Fisc

   UPDATE FORNECEDOR2
   SET CDGRUPOFISC = NULL

   ----- Forma de Pagamento

      SELECT * FROM FORMPGTO

      SELECT * FROM FORNECEDOR2
      WHERE CDFORMPGTO IS NOT NULL


      INSERT INTO FORMPGTO
      (CDFORMPGTO, NMFORMPGTO, IDTIPODTPGTO, IDTPPERIODO)
      VALUES
      ('12', 'Da Data de Emissao (Exclusive)', 'EMEX', 'S')

      /

      INSERT INTO FORMPGTO
      (CDFORMPGTO, NMFORMPGTO, IDTIPODTPGTO, IDTPPERIODO)
      VALUES
      ('13', 'Da Data de Entrega (Exclusive)', 'ENEX', 'M')

      /

      UPDATE FORNECEDOR2
      SET CDFORMPGTO = '12'
      WHERE CDFORMPGTO = '02'

      /

      UPDATE FORNECEDOR2
      SET CDFORMPGTO = '13'
      WHERE CDFORMPGTO = '04'

   ----- Tipo de Cobranca

      SELECT  * FROM TIPOCOBR

      INSERT INTO :DBTECNISA:TIPOCOBR
      (CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB)
      SELECT CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB
      FROM :GRWEB1P:TIPOCOBR

  CREATE TABLE FORNESALVADOR AS
   SELECT DISTINCT
       FO.CDFORNECED, FO.IDTPIJURFORN, FO.NRINSJURFORN,   FO.NMRAZSOCFORN,
       FO.NMFANTFORN, FO.NRINSESTFORN, FO.NRINSMUNFORN,   FO.DTULTCMPFORN,
       FO.IDTPDESCFORN, FO.VRPEDESCFORN, FO.IDTIPOFORN,   FO.IDTPFRETFORN,
       FO.QTCNDPG1FORN, FO.QTCNDPG2FORN, FO.QTCNDPG3FORN, FO.QTCNDPG4FORN,
       FO.QTCNDPG5FORN, FO.QTCNDPG6FORN, FO.IDFORMPGFORN, FO.CDCSTDIG1ENT,
       FO.VRPERCINSS,   FO.DTCADAFORN,   FO.IDSITUCADA,    FO.CDCONTCTBL,
       FO.DSNOMCHQFORN, FO.VRPERPG1FORN, FO.VRPERPG2FORN, FO.VRPERPG3FORN,
       FO.VRPERPG4FORN, FO.VRPERPG5FORN, FO.VRPERPG6FORN, FO.NRNOTAFORN,
       FO.CDQUALIF,     FO.DTVALQUALIF,  FO.CDMODDOCFISC, FO.CDFORMPGTO,
       FO.IDTPFORPGTFO, FO.NRPARCPGTOFO, FO.NRDIAPGFIXFO, FO.IDUTDIAPGTFO,
       FO.CDTIPCOB,     FO.VRMINAUTFOR,  FO.QTMINAUTFOT,  FO.SGUNIDADE,
       FO.IDGERAFDTENT, FO.NRITEMAF,     FO.IDGERCONTPGT, FO.IDFORNAUTO,
       FO.CDTPCTPAGAR,  FO.IDENDEMISFOR, FO.IDENDCFOPFOR, FO.CDSENHAFOR,
       FO.DTULTATUFORN, FO.DSEMAILCOT,   FO.CDAJUCTPAG,   FO.CDTIPOFORN,
       FO.DSHOMEPAFOR,  FO.IDFORNCONTRI, FO.CDCFOPFORN,   FO.DSCFOPFORN,
       FO.CDGRUPOFISC,  FO.CDEXFORNECED, FO.IDPRIPUBFORN,
       FO.IDLIGEXTFORN
   FROM FORNECEDOR FO, NOTAFISCAL NT
   WHERE NT.DTENTRSAID BETWEEN '01/01/2005' AND '30/05/2005' AND
         NT.CDTIPOOPER   = '01'                              AND
         NT.IDENTRSAIDOP = 'E'                               AND
         FO.CDFORNECED   = NT.CDFORNECED

   INSERT INTO FORNECEDOR
      (CDFORNECED, IDTPIJURFORN, NRINSJURFORN,   NMRAZSOCFORN,
       NMFANTFORN, NRINSESTFORN, NRINSMUNFORN,   DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN, CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN, VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN, NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC, CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO, IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,  SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT, IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR, CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,   CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,   DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN)
   SELECT DISTINCT
       CDFORNECED,  IDTPIJURFORN,  NRINSJURFORN, NMRAZSOCFORN,
       NMFANTFORN,  NRINSESTFORN,  NRINSMUNFORN, DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN,  CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN,  VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN,  NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC,  CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO,  IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,   SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT,  IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR,  CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,    CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,    DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN
   FROM FORNESALVADOR

   SELECT IDAGRUBOLFOR, VRPERPIFORN, DTINIVRPDESC,  CDTPBAIXAPAG,  IDFORNINTER ,
          CDSEGMER ,   VRADIANTFORN ,  CDGRUPFORN,   CDCLIENTE   ,
          DSMAILCOTCOP, IDUTILZIPAF ,   NMCOMPRZSFOR  FR
   FROM FORNECEDOR

   SELECT FO.CDFORNECED, NMRAZSOCFORN  FROM :RIO:FORNECEDOR2 FO, :DBTECNISA:FORNECEDOR FR
   WHERE FO.CDFORNECED = FR.CDFORNECED

   DELETE FORNESALVADOR
   WHERE CDFORNECED IN ('J02102498000129','J02237724000189','J02683865000125','J03625915000180',
                        'J04214934000187','J04562324000174','J05298271000199','J06348006000130',
                        'J32648370000126','J43225192000651','J44013159006076','J46491239000102',
                        'J54286505000193','J55653349000114','J57746455000178','J61418026000149',
                        'J64188295000154','J64188295000154','J65004525000140','J67171678000108',
                        'J74290529000123','J72381189000110')


   CREATE TABLE PRAZOSALVADOR AS
   SELECT  P.* FROM  PRAZOPGTFORN P, FORNESALVADOR F
   WHERE P.CDFORNECED = F.CDFORNECED

   INSERT INTO PRAZOPGTFORN
   (CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR)
   SELECT CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR
   FROM PRAZOSALVADOR
   WHERE PR.CDFORNECED = FO.CDFORNECED

   CREATE TABLE ENDESALVADOR AS
   SELECT EN.CDFORNECED, EN.IDTPENDEFORN, EN.CDPAIS, EN.SGESTADO, EN.CDMUNICIPIO,
          EN.DSENDEFORN, EN.NMBAIRFORN, EN.NRCEPFORN, EN.NRTELEFORN, EN.NRRAMALFORN,
          EN.NRTELEXFORN, EN.NRFAXFORN, EN.NMCONTFORN, EN.DSEMAILFORN, EN.DTULTATUENFO,
          EN.NRTELEFORN1, EN.NRRAMALFORN1,  EN.NRCELULARFOR, EN.NRTELRESIFOR
   FROM FORNESALVADOR FO, ENDEFORN EN
   WHERE FO.CDFORNECED   = EN.CDFORNECED

   UPDATE ENDESALVADOR
   SET CDPAIS  = '0055',
       SGESTADO = 'BA',
       CDMUNICIPIO = '1572'


   INSERT INTO :ENDEFORN
      (CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR)
   SELECT
       CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR
   FROM ENDESALVADOR

   SELECT IDTPENDEFORN, NRINSJURFORN, SUBSTR(NMRAZSOCFORN,1,20), E.SGESTADO, SUBSTR(M.NMMUNICIPIO,1,20)
   FROM ENDEFORN E, FORNECEDOR2 F, MUNICIPIO M
   WHERE E.CDFORNECED  = F.CDFORNECED AND
         E.CDPAIS      = M.CDPAIS     AND
         E.SGESTADO    = M.SGESTADO   AND
         E.CDMUNICIPIO = M.CDMUNICIPIO
   ORDER BY 3

   NUMERO FORNECEDOR 229

========================
FORNECEDOR RECIFE
=======================

importacao base versao 1.53

   -- Conta Contabil

      UPDATE  FORNERECIFE
      SET CDCONTCTBL = NULL

   --- Modelo Fiscal

      SELECT  * FROM MODDOCFISC

      UPDATE  FORNERECIFE
      SET CDMODDOCFISC = NULL

   ----- Tipo de Conta a Pagar

      SELECT * FROM TIPOCTPAGAR

      UPDATE  FORNERECIFE
      SET CDTPCTPAGAR = NULL

  ----------- Grupo Fisc

   UPDATE FORNERECIFE
   SET CDGRUPOFISC = NULL

   ----- Forma de Pagamento

      SELECT * FROM FORMPGTO

      SELECT * FROM FORNERECIFE
      WHERE CDFORMPGTO IS NOT NULL

  CREATE TABLE FORNERECIFE AS
   SELECT DISTINCT
       FO.CDFORNECED, FO.IDTPIJURFORN, FO.NRINSJURFORN,   FO.NMRAZSOCFORN,
       FO.NMFANTFORN, FO.NRINSESTFORN, FO.NRINSMUNFORN,   FO.DTULTCMPFORN,
       FO.IDTPDESCFORN, FO.VRPEDESCFORN, FO.IDTIPOFORN,   FO.IDTPFRETFORN,
       FO.QTCNDPG1FORN, FO.QTCNDPG2FORN, FO.QTCNDPG3FORN, FO.QTCNDPG4FORN,
       FO.QTCNDPG5FORN, FO.QTCNDPG6FORN, FO.IDFORMPGFORN, FO.CDCSTDIG1ENT,
       FO.VRPERCINSS,   FO.DTCADAFORN,   FO.IDSITUCADA,    FO.CDCONTCTBL,
       FO.DSNOMCHQFORN, FO.VRPERPG1FORN, FO.VRPERPG2FORN, FO.VRPERPG3FORN,
       FO.VRPERPG4FORN, FO.VRPERPG5FORN, FO.VRPERPG6FORN, FO.NRNOTAFORN,
       FO.CDQUALIF,     FO.DTVALQUALIF,  FO.CDMODDOCFISC, FO.CDFORMPGTO,
       FO.IDTPFORPGTFO, FO.NRPARCPGTOFO, FO.NRDIAPGFIXFO, FO.IDUTDIAPGTFO,
       FO.CDTIPCOB,     FO.VRMINAUTFOR,  FO.QTMINAUTFOT,  FO.SGUNIDADE,
       FO.IDGERAFDTENT, FO.NRITEMAF,     FO.IDGERCONTPGT, FO.IDFORNAUTO,
       FO.CDTPCTPAGAR,  FO.IDENDEMISFOR, FO.IDENDCFOPFOR, FO.CDSENHAFOR,
       FO.DTULTATUFORN, FO.DSEMAILCOT,   FO.CDAJUCTPAG,   FO.CDTIPOFORN,
       FO.DSHOMEPAFOR,  FO.IDFORNCONTRI, FO.CDCFOPFORN,   FO.DSCFOPFORN,
       FO.CDGRUPOFISC,  FO.CDEXFORNECED, FO.IDPRIPUBFORN,
       FO.IDLIGEXTFORN
   FROM FORNECEDOR FO, NOTAFISCAL NT
   WHERE NT.DTENTRSAID BETWEEN '01/01/2005' AND '30/05/2005' AND
         NT.CDTIPOOPER   = '01'                              AND
         NT.IDENTRSAIDOP = 'E'                               AND
         FO.CDFORNECED   = NT.CDFORNECED

   INSERT INTO FORNECEDOR
      (CDFORNECED, IDTPIJURFORN, NRINSJURFORN,   NMRAZSOCFORN,
       NMFANTFORN, NRINSESTFORN, NRINSMUNFORN,   DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN, CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN, VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN, NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC, CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO, IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,  SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT, IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR, CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,   CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,   DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN)
   SELECT DISTINCT
       CDFORNECED,  IDTPIJURFORN,  NRINSJURFORN, NMRAZSOCFORN,
       NMFANTFORN,  NRINSESTFORN,  NRINSMUNFORN, DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN,  CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN,  VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN,  NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC,  CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO,  IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,   SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT,  IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR,  CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,    CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,    DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN
   FROM FORNERECIFE R
   WHERE NOT exists (SELECT F.CDFORNECED FROM FORNECEDOR F
                     WHERE R.CDFORNECED = F.CDFORNECED)



   SELECT IDAGRUBOLFOR, VRPERPIFORN, DTINIVRPDESC,  CDTPBAIXAPAG,  IDFORNINTER ,
          CDSEGMER ,   VRADIANTFORN ,  CDGRUPFORN,   CDCLIENTE   ,
          DSMAILCOTCOP, IDUTILZIPAF ,   NMCOMPRZSFOR  FR
   FROM FORNECEDOR

   SELECT FO.CDFORNECED, NMRAZSOCFORN  FROM :RECIFE:FORNERECIFE FO, :DBTECNISA:FORNECEDOR FR
   WHERE FO.CDFORNECED = FR.CDFORNECED

   DELETE FORNERECIFE
   WHERE CDFORNECED IN ('J02102498000129','J02237724000189','J02683865000125','J03625915000180',
                        'J04214934000187','J04562324000174','J05298271000199','J06348006000130',
                        'J32648370000126','J43225192000651','J44013159006076','J46491239000102',
                        'J54286505000193','J55653349000114','J57746455000178','J61418026000149',
                        'J64188295000154','J64188295000154','J65004525000140','J67171678000108',
                        'J74290529000123','J72381189000110','J01136750000158','J06240810000010',
                        'J33000118000179','J33597659000126','J53016416000164')



   CREATE TABLE PRAZORECIFE AS
   SELECT  P.* FROM  PRAZOPGTFORN P, FORNERECIFE F
   WHERE P.CDFORNECED = F.CDFORNECED

   INSERT INTO PRAZOPGTFORN
   (CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR)
   SELECT CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR
   FROM PRAZORECIFE R
   WHERE NOT exists (SELECT F.CDFORNECED FROM PRAZOPGTFORN F
                     WHERE R.CDFORNECED = F.CDFORNECED)

   CREATE TABLE ENDERECIFE AS
   SELECT EN.CDFORNECED, EN.IDTPENDEFORN, EN.CDPAIS, EN.SGESTADO, EN.CDMUNICIPIO,
          EN.DSENDEFORN, EN.NMBAIRFORN, EN.NRCEPFORN, EN.NRTELEFORN, EN.NRRAMALFORN,
          EN.NRTELEXFORN, EN.NRFAXFORN, EN.NMCONTFORN, EN.DSEMAILFORN, EN.DTULTATUENFO,
          EN.NRTELEFORN1, EN.NRRAMALFORN1,  EN.NRCELULARFOR, EN.NRTELRESIFOR
   FROM FORNERECIFE FO, ENDEFORN EN
   WHERE FO.CDFORNECED   = EN.CDFORNECED

   UPDATE ENDERECIFE
   SET CDPAIS  = '0055',
       SGESTADO = 'PE',
       CDMUNICIPIO = '1160'

   INSERT INTO ENDEFORN
      (CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR)
   SELECT
       CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR
   FROM ENDERECIFE R
   WHERE NOT exists (SELECT F.CDFORNECED FROM ENDEFORN F
                     WHERE R.CDFORNECED = F.CDFORNECED)


   SELECT IDTPENDEFORN, NRINSJURFORN, SUBSTR(NMRAZSOCFORN,1,20), E.SGESTADO, SUBSTR(M.NMMUNICIPIO,1,20)
   FROM ENDEFORN E, FORNECEDOR2 F, MUNICIPIO M
   WHERE E.CDFORNECED  = F.CDFORNECED AND
         E.CDPAIS      = M.CDPAIS     AND
         E.SGESTADO    = M.SGESTADO   AND
         E.CDMUNICIPIO = M.CDMUNICIPIO
   ORDER BY 3

   NUMERO FORNECEDOR 229

========================
FORNECEDOR GIG
=======================

importacao base versao 1.53

   -- Conta Contabil

      UPDATE  FORNEGIG
      SET CDCONTCTBL = NULL

   --- Modelo Fiscal

      SELECT  * FROM MODDOCFISC

      UPDATE  FORNEGIG
      SET CDMODDOCFISC = NULL

   ----- Tipo de Conta a Pagar

      SELECT * FROM TIPOCTPAGAR

      UPDATE  FORNEGIG
      SET CDTPCTPAGAR = NULL

  ----------- Grupo Fisc

   UPDATE FORNEGIG
   SET CDGRUPOFISC = NULL

   ----- Forma de Pagamento

      SELECT * FROM FORMPGTO

      SELECT * FROM FORNERECIFE
      WHERE CDFORMPGTO IS NOT NULL


   ----- Tipo de Cobranca

      SELECT  * FROM TIPOCOBR

      INSERT INTO :DBTECNISA:TIPOCOBR
      (CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB)
      SELECT CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB
      FROM :GRWEB1P:TIPOCOBR

  CREATE TABLE FORNEGIG AS
   SELECT DISTINCT
       FO.CDFORNECED, FO.IDTPIJURFORN, FO.NRINSJURFORN,   FO.NMRAZSOCFORN,
       FO.NMFANTFORN, FO.NRINSESTFORN, FO.NRINSMUNFORN,   FO.DTULTCMPFORN,
       FO.IDTPDESCFORN, FO.VRPEDESCFORN, FO.IDTIPOFORN,   FO.IDTPFRETFORN,
       FO.QTCNDPG1FORN, FO.QTCNDPG2FORN, FO.QTCNDPG3FORN, FO.QTCNDPG4FORN,
       FO.QTCNDPG5FORN, FO.QTCNDPG6FORN, FO.IDFORMPGFORN, FO.CDCSTDIG1ENT,
       FO.VRPERCINSS,   FO.DTCADAFORN,   FO.IDSITUCADA,    FO.CDCONTCTBL,
       FO.DSNOMCHQFORN, FO.VRPERPG1FORN, FO.VRPERPG2FORN, FO.VRPERPG3FORN,
       FO.VRPERPG4FORN, FO.VRPERPG5FORN, FO.VRPERPG6FORN, FO.NRNOTAFORN,
       FO.CDQUALIF,     FO.DTVALQUALIF,  FO.CDMODDOCFISC, FO.CDFORMPGTO,
       FO.IDTPFORPGTFO, FO.NRPARCPGTOFO, FO.NRDIAPGFIXFO, FO.IDUTDIAPGTFO,
       FO.CDTIPCOB,     FO.VRMINAUTFOR,  FO.QTMINAUTFOT,  FO.SGUNIDADE,
       FO.IDGERAFDTENT, FO.NRITEMAF,     FO.IDGERCONTPGT, FO.IDFORNAUTO,
       FO.CDTPCTPAGAR,  FO.IDENDEMISFOR, FO.IDENDCFOPFOR, FO.CDSENHAFOR,
       FO.DTULTATUFORN, FO.DSEMAILCOT,   FO.CDAJUCTPAG,   FO.CDTIPOFORN,
       FO.DSHOMEPAFOR,  FO.IDFORNCONTRI, FO.CDCFOPFORN,   FO.DSCFOPFORN,
       FO.CDGRUPOFISC,  FO.CDEXFORNECED, FO.IDPRIPUBFORN,
       FO.IDLIGEXTFORN
   FROM FORNECEDOR FO, NOTAFISCAL NT
   WHERE NT.DTENTRSAID BETWEEN '01/01/2005' AND '30/05/2005' AND
         NT.CDTIPOOPER   = '01'                              AND
         NT.IDENTRSAIDOP = 'E'                               AND
         FO.CDFORNECED   = NT.CDFORNECED

   INSERT INTO FORNECEDOR
      (CDFORNECED, IDTPIJURFORN, NRINSJURFORN,   NMRAZSOCFORN,
       NMFANTFORN, NRINSESTFORN, NRINSMUNFORN,   DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN, CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN, VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN, NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC, CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO, IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,  SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT, IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR, CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,   CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,   DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN)
   SELECT DISTINCT
       CDFORNECED,  IDTPIJURFORN,  NRINSJURFORN, NMRAZSOCFORN,
       NMFANTFORN,  NRINSESTFORN,  NRINSMUNFORN, DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN,  CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN,  VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN,  NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC,  CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO,  IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,   SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT,  IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR,  CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,    CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,    DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN
   FROM FORNEGIG R
   WHERE NOT exists (SELECT F.CDFORNECED FROM FORNECEDOR F
                     WHERE R.CDFORNECED = F.CDFORNECED)


   SELECT IDAGRUBOLFOR, VRPERPIFORN, DTINIVRPDESC,  CDTPBAIXAPAG,  IDFORNINTER ,
          CDSEGMER ,   VRADIANTFORN ,  CDGRUPFORN,   CDCLIENTE   ,
          DSMAILCOTCOP, IDUTILZIPAF ,   NMCOMPRZSFOR  FR
   FROM FORNECEDOR

   SELECT FO.CDFORNECED, NMRAZSOCFORN  FROM :GIG:FORNERECIFE FO, :DBTECNISA:FORNECEDOR FR
   WHERE FO.CDFORNECED = FR.CDFORNECED

   CREATE TABLE PRAZOGIG AS
   SELECT  P.* FROM  PRAZOPGTFORN P, FORNEGIG F
   WHERE P.CDFORNECED = F.CDFORNECED

   INSERT INTO PRAZOPGTFORN
   (CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR)
   SELECT CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR
   FROM PRAZOGIG R
   WHERE NOT exists (SELECT F.CDFORNECED FROM PRAZOPGTFORN F
                     WHERE R.CDFORNECED = F.CDFORNECED)

   CREATE TABLE ENDEGIG AS
   SELECT EN.CDFORNECED, EN.IDTPENDEFORN, EN.CDPAIS, EN.SGESTADO, EN.CDMUNICIPIO,
          EN.DSENDEFORN, EN.NMBAIRFORN, EN.NRCEPFORN, EN.NRTELEFORN, EN.NRRAMALFORN,
          EN.NRTELEXFORN, EN.NRFAXFORN, EN.NMCONTFORN, EN.DSEMAILFORN, EN.DTULTATUENFO,
          EN.NRTELEFORN1, EN.NRRAMALFORN1,  EN.NRCELULARFOR, EN.NRTELRESIFOR
   FROM FORNEGIG FO, ENDEFORN EN
   WHERE FO.CDFORNECED   = EN.CDFORNECED

   UPDATE ENDEGIG
   SET CDPAIS  = '0055',
       SGESTADO = 'RJ',
       CDMUNICIPIO = '4557'


   INSERT INTO ENDEFORN
      (CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR)
   SELECT
       CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR
   FROM  ENDEGIG R
   WHERE NOT exists (SELECT F.CDFORNECED FROM ENDEFORN F
                     WHERE R.CDFORNECED = F.CDFORNECED)


   SELECT IDTPENDEFORN, NRINSJURFORN, SUBSTR(NMRAZSOCFORN,1,20), E.SGESTADO, SUBSTR(M.NMMUNICIPIO,1,20)
   FROM ENDEFORN E, FORNECEDOR2 F, MUNICIPIO M
   WHERE E.CDFORNECED  = F.CDFORNECED AND
         E.CDPAIS      = M.CDPAIS     AND
         E.SGESTADO    = M.SGESTADO   AND
         E.CDMUNICIPIO = M.CDMUNICIPIO
   ORDER BY 3

   NUMERO FORNECEDOR 229


========================
FORNECEDOR SDU
=======================

importacao base versao 1.53

   -- Conta Contabil

      UPDATE  FORNEGIG
      SET CDCONTCTBL = NULL

   --- Modelo Fiscal

      SELECT  * FROM MODDOCFISC

      UPDATE  FORNEGIG
      SET CDMODDOCFISC = NULL

   ----- Tipo de Conta a Pagar

      SELECT * FROM TIPOCTPAGAR

      UPDATE  FORNEGIG
      SET CDTPCTPAGAR = NULL

  ----------- Grupo Fisc

   UPDATE FORNEGIG
   SET CDGRUPOFISC = NULL

   ----- Forma de Pagamento

      SELECT * FROM FORMPGTO

      SELECT * FROM FORNERECIFE
      WHERE CDFORMPGTO IS NOT NULL


   ----- Tipo de Cobranca

      SELECT  * FROM TIPOCOBR

      INSERT INTO :DBTECNISA:TIPOCOBR
      (CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB)
      SELECT CDTIPCOB, NMTIPOCOBR,  NMREDTIPCOB, DTULTATUTPCB
      FROM :GRWEB1P:TIPOCOBR

  CREATE TABLE FORNESDU AS
   SELECT DISTINCT
       FO.CDFORNECED, FO.IDTPIJURFORN, FO.NRINSJURFORN,   FO.NMRAZSOCFORN,
       FO.NMFANTFORN, FO.NRINSESTFORN, FO.NRINSMUNFORN,   FO.DTULTCMPFORN,
       FO.IDTPDESCFORN, FO.VRPEDESCFORN, FO.IDTIPOFORN,   FO.IDTPFRETFORN,
       FO.QTCNDPG1FORN, FO.QTCNDPG2FORN, FO.QTCNDPG3FORN, FO.QTCNDPG4FORN,
       FO.QTCNDPG5FORN, FO.QTCNDPG6FORN, FO.IDFORMPGFORN, FO.CDCSTDIG1ENT,
       FO.VRPERCINSS,   FO.DTCADAFORN,   FO.IDSITUCADA,    FO.CDCONTCTBL,
       FO.DSNOMCHQFORN, FO.VRPERPG1FORN, FO.VRPERPG2FORN, FO.VRPERPG3FORN,
       FO.VRPERPG4FORN, FO.VRPERPG5FORN, FO.VRPERPG6FORN, FO.NRNOTAFORN,
       FO.CDQUALIF,     FO.DTVALQUALIF,  FO.CDMODDOCFISC, FO.CDFORMPGTO,
       FO.IDTPFORPGTFO, FO.NRPARCPGTOFO, FO.NRDIAPGFIXFO, FO.IDUTDIAPGTFO,
       FO.CDTIPCOB,     FO.VRMINAUTFOR,  FO.QTMINAUTFOT,  FO.SGUNIDADE,
       FO.IDGERAFDTENT, FO.NRITEMAF,     FO.IDGERCONTPGT, FO.IDFORNAUTO,
       FO.CDTPCTPAGAR,  FO.IDENDEMISFOR, FO.IDENDCFOPFOR, FO.CDSENHAFOR,
       FO.DTULTATUFORN, FO.DSEMAILCOT,   FO.CDAJUCTPAG,   FO.CDTIPOFORN,
       FO.DSHOMEPAFOR,  FO.IDFORNCONTRI, FO.CDCFOPFORN,   FO.DSCFOPFORN,
       FO.CDGRUPOFISC,  FO.CDEXFORNECED, FO.IDPRIPUBFORN,
       FO.IDLIGEXTFORN
   FROM FORNECEDOR FO, NOTAFISCAL NT
   WHERE NT.DTENTRSAID BETWEEN '01/01/2005' AND '10/07/2005' AND
         NT.CDTIPOOPER   = '01'                              AND
         NT.IDENTRSAIDOP = 'E'                               AND
         FO.CDFORNECED   = NT.CDFORNECED

   INSERT INTO FORNECEDOR
      (CDFORNECED, IDTPIJURFORN, NRINSJURFORN,   NMRAZSOCFORN,
       NMFANTFORN, NRINSESTFORN, NRINSMUNFORN,   DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN, CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN, VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN, NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC, CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO, IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,  SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT, IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR, CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,   CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,   DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN)
   SELECT DISTINCT
       CDFORNECED,  IDTPIJURFORN,  NRINSJURFORN, NMRAZSOCFORN,
       NMFANTFORN,  NRINSESTFORN,  NRINSMUNFORN, DTULTCMPFORN,
       IDTPDESCFORN, VRPEDESCFORN, IDTIPOFORN,   IDTPFRETFORN,
       QTCNDPG1FORN, QTCNDPG2FORN, QTCNDPG3FORN, QTCNDPG4FORN,
       QTCNDPG5FORN, QTCNDPG6FORN, IDFORMPGFORN,  CDCSTDIG1ENT,
       VRPERCINSS,   DTCADAFORN,   IDSITUCADA,    CDCONTCTBL,
       DSNOMCHQFORN, VRPERPG1FORN, VRPERPG2FORN,  VRPERPG3FORN,
       VRPERPG4FORN, VRPERPG5FORN, VRPERPG6FORN,  NRNOTAFORN,
       CDQUALIF,     DTVALQUALIF,  CDMODDOCFISC,  CDFORMPGTO,
       IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO,  IDUTDIAPGTFO,
       CDTIPCOB,     VRMINAUTFOR,  QTMINAUTFOT,   SGUNIDADE,
       IDGERAFDTENT, NRITEMAF,     IDGERCONTPGT,  IDFORNAUTO,
       CDTPCTPAGAR,  IDENDEMISFOR, IDENDCFOPFOR,  CDSENHAFOR,
       DTULTATUFORN, DSEMAILCOT,   CDAJUCTPAG,    CDTIPOFORN,
       DSHOMEPAFOR,  IDFORNCONTRI, CDCFOPFORN,    DSCFOPFORN,
       CDGRUPOFISC,  CDEXFORNECED, IDPRIPUBFORN
   FROM FORNESDU R
   WHERE NOT exists (SELECT F.CDFORNECED FROM FORNECEDOR F
                     WHERE R.CDFORNECED = F.CDFORNECED)


   SELECT IDAGRUBOLFOR, VRPERPIFORN, DTINIVRPDESC,  CDTPBAIXAPAG,  IDFORNINTER ,
          CDSEGMER ,   VRADIANTFORN ,  CDGRUPFORN,   CDCLIENTE   ,
          DSMAILCOTCOP, IDUTILZIPAF ,   NMCOMPRZSFOR  FR
   FROM FORNECEDOR

   SELECT FO.CDFORNECED, NMRAZSOCFORN  FROM :GIG:FORNERECIFE FO, :DBTECNISA:FORNECEDOR FR
   WHERE FO.CDFORNECED = FR.CDFORNECED

   CREATE TABLE PRAZOSDU AS
   SELECT  P.* FROM  PRAZOPGTFORN P, FORNESDU F
   WHERE P.CDFORNECED = F.CDFORNECED

   INSERT INTO PRAZOPGTFORN
   (CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR)
   SELECT CDFORNECED, NRDIASPGTOFO,  VRPERCPGTOFO, DTULTATUPFOR
   FROM PRAZOSDU R
   WHERE NOT exists (SELECT F.CDFORNECED FROM PRAZOPGTFORN F
                     WHERE R.CDFORNECED = F.CDFORNECED)

   CREATE TABLE ENDESDU AS
   SELECT EN.CDFORNECED, EN.IDTPENDEFORN, EN.CDPAIS, EN.SGESTADO, EN.CDMUNICIPIO,
          EN.DSENDEFORN, EN.NMBAIRFORN, EN.NRCEPFORN, EN.NRTELEFORN, EN.NRRAMALFORN,
          EN.NRTELEXFORN, EN.NRFAXFORN, EN.NMCONTFORN, EN.DSEMAILFORN, EN.DTULTATUENFO,
          EN.NRTELEFORN1, EN.NRRAMALFORN1,  EN.NRCELULARFOR, EN.NRTELRESIFOR
   FROM FORNESDU FO, ENDEFORN EN
   WHERE FO.CDFORNECED   = EN.CDFORNECED

   UPDATE ENDESDU
   SET CDPAIS  = '0055',
       SGESTADO = 'RJ',
       CDMUNICIPIO = '4557'


   INSERT INTO ENDEFORN
      (CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR)
   SELECT
       CDFORNECED, IDTPENDEFORN, CDPAIS, SGESTADO,      CDMUNICIPIO,
       DSENDEFORN, NMBAIRFORN, NRCEPFORN, NRTELEFORN,   NRRAMALFORN,
       NRTELEXFORN, NRFAXFORN, NMCONTFORN, DSEMAILFORN, DTULTATUENFO,
       NRTELEFORN1,  NRRAMALFORN1,  NRCELULARFOR, NRTELRESIFOR
   FROM  ENDESDU R
   WHERE NOT exists (SELECT F.CDFORNECED FROM ENDEFORN F
                     WHERE R.CDFORNECED = F.CDFORNECED)


   SELECT IDTPENDEFORN, NRINSJURFORN, SUBSTR(NMRAZSOCFORN,1,20), E.SGESTADO, SUBSTR(M.NMMUNICIPIO,1,20)
   FROM ENDEFORN E, FORNECEDOR2 F, MUNICIPIO M
   WHERE E.CDFORNECED  = F.CDFORNECED AND
         E.CDPAIS      = M.CDPAIS     AND
         E.SGESTADO    = M.SGESTADO   AND
         E.CDMUNICIPIO = M.CDMUNICIPIO
   ORDER BY 3

   NUMERO FORNECEDOR 229

   SELECT IDTPENDEFORN, NRINSJURFORN, SUBSTR(NMRAZSOCFORN,1,20), E.SGESTADO, SUBSTR(M.NMMUNICIPIO,1,20)
   FROM ENDEFORN E, FORNEGIG F, MUNICIPIO M
   WHERE E.CDFORNECED  = F.CDFORNECED AND
         E.CDPAIS      = M.CDPAIS     AND
         E.SGESTADO    = M.SGESTADO   AND
         E.CDMUNICIPIO = M.CDMUNICIPIO
   
   UNION

   SELECT IDTPENDEFORN, NRINSJURFORN, SUBSTR(NMRAZSOCFORN,1,20), E.SGESTADO, SUBSTR(M.NMMUNICIPIO,1,20)
   FROM ENDEFORN E, FORNESDU F, MUNICIPIO M
   WHERE E.CDFORNECED  = F.CDFORNECED AND
         E.CDPAIS      = M.CDPAIS     AND
         E.SGESTADO    = M.SGESTADO   AND
         E.CDMUNICIPIO = M.CDMUNICIPIO

   UNION

   SELECT IDTPENDEFORN, NRINSJURFORN, SUBSTR(NMRAZSOCFORN,1,20), E.SGESTADO, SUBSTR(M.NMMUNICIPIO,1,20)
   FROM ENDEFORN E, FORNESALVADOR F, MUNICIPIO M
   WHERE E.CDFORNECED  = F.CDFORNECED AND
         E.CDPAIS      = M.CDPAIS     AND
         E.SGESTADO    = M.SGESTADO   AND
         E.CDMUNICIPIO = M.CDMUNICIPIO

   UNION

   SELECT IDTPENDEFORN, NRINSJURFORN, SUBSTR(NMRAZSOCFORN,1,20), E.SGESTADO, SUBSTR(M.NMMUNICIPIO,1,20)
   FROM ENDEFORN E, FORNERECIFE F, MUNICIPIO M
   WHERE E.CDFORNECED  = F.CDFORNECED AND
         E.CDPAIS      = M.CDPAIS     AND
         E.SGESTADO    = M.SGESTADO   AND
         E.CDMUNICIPIO = M.CDMUNICIPIO

   ORDER BY 3, 2


========================== PRODUTO ======================================


UPDATE PARAMGERAL
SET CDPICTPROD = 'a.aa.aa.aaa.aaaa'

/

INSERT INTO :DBTECNISA:UNIDMEDIDA
(SGUNIDADE,DSUNIDADE)
SELECT SGUNIDADE,DSUNIDADE FROM :GRWEB1P:UNIDMEDIDA

/


CREATE TABLE PRODUTOAUX AS
SELECT CDPRODUTO, CDNVPRODUTO, NMPRODUTO, VRPESOUNID, VRPEFATOCORR, VRFATOCONV, SGUNIDADE,
       IDIMPPRODUTO, IDPESAPROD, CDARVPROD, IDPRODPROD, IDPRODATIVPR, IDTPPRECO, IDCOBTXSERV,
       IDSOLLOCIMP, IDDIASVALIDA, CDPRODESTO 
FROM PRODUTO
WHERE CDNVPRODUTO IN ('1','2','3') AND
      SUBSTR(CDARVPROD,1,1) IN ('1','2','3')    
        

/

INSERT INTO :DBTECNISA:PRODUTO
       (CDPRODUTO, CDNVPRODUTO, NMPRODUTO, VRPESOUNID, VRPEFATOCORR, VRFATOCONV, SGUNIDADE,
       IDIMPPRODUTO, IDPESAPROD, CDARVPROD, IDPRODPROD, IDPRODATIVPR, IDTPPRECO, IDCOBTXSERV,
       IDSOLLOCIMP, IDDIASVALIDA, CDPRODESTO)  
SELECT CDPRODUTO, CDNVPRODUTO, NMPRODUTO, VRPESOUNID, VRPEFATOCORR, VRFATOCONV, SGUNIDADE,
       IDIMPPRODUTO, IDPESAPROD, CDARVPROD, IDPRODPROD, IDPRODATIVPR, IDTPPRECO, IDCOBTXSERV,
       IDSOLLOCIMP, IDDIASVALIDA, CDPRODESTO 
FROM :GRWEB1P:PRODUTOAUX

/

create table NOVOSPRODUTOS
(CDPRODUTOO     VARCHAR2(20),
 CDPRODUTON     VARCHAR2(20),
 NMPRODUTO      VARCHAR2(50),
 SGUNIDADE      VARCHAR2(10)
)
/

ALTER TABLE NOVOSPRODUTOS ADD CDPRODNIV3 VARCHAR2(20)

/


BEGIN
   FOR C_PRODINSERT IN (SELECT  DISTINCT
                           N.CDPRODNIV3 CDPRODUTO, '4' CDNVPRODUTO, N.NMPRODUTO,
                           1 VRPESOUNID, 1 VRPEFATOCORR, 1 VRFATOCONV,
                           SGUNIDADE,   '1' IDIMPPRODUTO, 'N' IDPESAPROD,
                           N.CDPRODNIV3 CDARVPROD, 'N' IDPRODPROD,  'S' IDPRODATIVPR,
                           '1' IDTPPRECO, 'S' IDCOBTXSERV,
                           'N' IDSOLLOCIMP, 'M'  IDDIASVALIDA, '' CDPRODESTO
                        FROM NOVOSPRODUTOS N
                        ORDER BY CDPRODNIV3) LOOP
      INSERT INTO PRODUTO
         (CDPRODUTO, CDNVPRODUTO, NMPRODUTO, VRPESOUNID, VRPEFATOCORR, VRFATOCONV, SGUNIDADE,
          IDIMPPRODUTO, IDPESAPROD, CDARVPROD, IDPRODPROD, IDPRODATIVPR, IDTPPRECO, IDCOBTXSERV,
          IDSOLLOCIMP, IDDIASVALIDA, CDPRODESTO)
      VALUES
         (C_PRODINSERT.CDPRODUTO, C_PRODINSERT.CDNVPRODUTO, C_PRODINSERT.NMPRODUTO, C_PRODINSERT.VRPESOUNID, C_PRODINSERT.VRPEFATOCORR, C_PRODINSERT.VRFATOCONV,
          C_PRODINSERT.SGUNIDADE, C_PRODINSERT.IDIMPPRODUTO, C_PRODINSERT.IDPESAPROD, C_PRODINSERT.CDARVPROD, C_PRODINSERT.IDPRODPROD, C_PRODINSERT.IDPRODATIVPR, C_PRODINSERT.IDTPPRECO, C_PRODINSERT.IDCOBTXSERV,
          C_PRODINSERT.IDSOLLOCIMP, C_PRODINSERT.IDDIASVALIDA, C_PRODINSERT.CDPRODESTO);
      COMMIT;
   END LOOP;
END;
/



PRODUTOS COM CODIGOS IGUAIS  ALHO PORRO   (63)
                             ABOBORA SECA FRESCA (64)
                             CACAU EM PO (52)

                             CASQUINHA DE CHOCOLATE (53)
                             COCO RALADO UMIDO CONGELADO (54)
                             FRUTA DO CONDE FRESCA (55)
                             GOIABA VERMELHA FRESCA (56)
                             GRAPE FRUIT FRESCO (57)
                             KIWI FRESCO (58)
                             PESSEGO EM CALDA (59)
                             LIMAO TAITI FRESCO (60)
                             LIMAO AMARELO FRESCO (61)
                             MACA VERMELHA PEQUENA (62)
                             MACA VERDE NACIONAL (63)
                             MACA VERDE IMPORTADA FRESCA (64)
                             MACA VERMELHA IMPORTADA (65)
                             MANGA EM CALDA (66)
                             MAPLE SYROUP (67)
                             MEL (68)
                             MORANGO EM CALDA (69)

                             CORVINA EM POSTAS (35)


DECLARE
   V_CDPRODUTO   VARCHAR2(10);
BEGIN
   FOR C_PRODINSERT IN (SELECT  DISTINCT
                           N.CDPRODNIV3 CDPRODUTO, '5' CDNVPRODUTO, N.NMPRODUTO,
                           1 VRPESOUNID, 1 VRPEFATOCORR, 1 VRFATOCONV,
                           SGUNIDADE,   '1' IDIMPPRODUTO, 'N' IDPESAPROD,
                           N.CDPRODUTON CDARVPROD, 'N' IDPRODPROD,  'S' IDPRODATIVPR,
                           '1' IDTPPRECO, 'S' IDCOBTXSERV,
                           'N' IDSOLLOCIMP, 'M'  IDDIASVALIDA, '' CDPRODESTO
                        FROM NOVOSPRODUTOS N
                        WHERE N.CDPRODUTON  NOT IN (SELECT CDARVPROD FROM PRODUTO)
                        ORDER BY CDPRODUTON) LOOP

      SELECT LPAD(TO_CHAR(TO_NUMBER(NVL(V_CDPRODUTO,1) + 1)),10,0)
      INTO V_CDPRODUTO
      FROM PARAMGERAL;

      INSERT INTO PRODUTO
         (CDPRODUTO, CDNVPRODUTO, NMPRODUTO, VRPESOUNID, VRPEFATOCORR, VRFATOCONV, SGUNIDADE,
          IDIMPPRODUTO, IDPESAPROD, CDARVPROD, IDPRODPROD, IDPRODATIVPR, IDTPPRECO, IDCOBTXSERV,
          IDSOLLOCIMP, IDDIASVALIDA, CDPRODESTO)
      VALUES
         (V_CDPRODUTO, C_PRODINSERT.CDNVPRODUTO, C_PRODINSERT.NMPRODUTO, C_PRODINSERT.VRPESOUNID, C_PRODINSERT.VRPEFATOCORR, C_PRODINSERT.VRFATOCONV,
          C_PRODINSERT.SGUNIDADE, C_PRODINSERT.IDIMPPRODUTO, C_PRODINSERT.IDPESAPROD, C_PRODINSERT.CDARVPROD, C_PRODINSERT.IDPRODPROD, C_PRODINSERT.IDPRODATIVPR,
          C_PRODINSERT.IDTPPRECO, C_PRODINSERT.IDCOBTXSERV,  C_PRODINSERT.IDSOLLOCIMP, C_PRODINSERT.IDDIASVALIDA, V_CDPRODUTO);
      COMMIT;
   END LOOP;
END;
/


================================ RECEITA ===========================


SETOR

PRODUTO IDPRODCOMISS = '3'

ESPEPROD

TIPOCOMP

TCOMPPRO

COMPPROD

TIPODOCU

DOCUPROD

RENDPADRAO,

PRODUTOAP

INSERT INTO :DBTECNISA:SETOR
SELECT * FROM :GRWEB1P:SETOR


INSERT INTO :DBTECNISA:PRODUTO
SELECT * FROM :GRWEB1P:PRODUTO
WHERE IDPRODOMISS = '3'

T

INSERT INTO PRODUTO
SELECT * FROM PRODUTO@SKY_TESTE
WHERE IDPRODCOMISS = '3'


T


SELECT * FROM PRODUTO_AUX

INSERT INTO  PRODUTO
SELECT * FROM PRODUTO_AUX A
WHERE NOT EXISTS (SELECT CDPRODUTO
                  FROM PRODUTO B
                  WHERE B.CDPRODUTO = A.CDPRODUTO)

/


CREATE TABLE ESPEPROD_AUX AS
SELECT E.* FROM ESPEPROD E, PRODUTO P
WHERE E.CDPRODUTO = P.CDPRODUTO AND
      P.IDPRODCOMISS = '3'


/

CREATE TABLE ESPEPROD_AUX AS
SELECT E.* FROM ESPEPROD@SKY_TESTE E, PRODUTO@SKY_TESTE P
WHERE E.CDPRODUTO = P.CDPRODUTO AND
      P.IDPRODCOMISS = '3'
/



UPDATE  ESPEPROD_AUX
SET CDFILIAL  = '0001'

UPDATE  ESPEPROD_AUX
SET CDOPERADOR = '000000000999'

INSERT INTO TIPOCOMP
(CDTIPOCOMP,NMTIPOCOMP)
values
('001','Composicao Padrao')


CREATE TABLE TCOMPPRO_AUX AS
SELECT T.* FROM ESPEPROD_AUX E, TCOMPPRO T
WHERE E.CDPRODUTO = T.CDPRODUTO AND
      E.CDESPEPROD = T.CDESPEPROD

CREATE TABLE COMPPROD_AUX AS
SELECT T.* FROM TCOMPPRO_AUX E, COMPPROD T
WHERE E.CDTIPOCOMP = T.CDTIPOCOMP AND
      E.CDPRODUTO  = T.CDPRODUTO  AND
      E.CDESPEPROD = T.CDESPEPROD


/

CREATE TABLE COMPPROD_AUX AS
SELECT T.* FROM TCOMPPRO@SKY_TESTE E, COMPPROD@SKY_TESTE T
WHERE E.CDTIPOCOMP = T.CDTIPOCOMP AND
      E.CDPRODUTO  = T.CDPRODUTO  AND
      E.CDESPEPROD = T.CDESPEPROD

/


INSERT INTO TIPODOCU
(CDTIPODOCU, NMTIPODOCU)
VALUES
('001','Documentacao Padrao')

DOCUPROD

RENDPADRAO

CREATE TABLE PRODUTOAP_AUX AS
SELECT * FROM PRODUTOAP

====


INSERT INTO  ESPEPROD
SELECT * FROM   ESPEPROD_AUX

INSERT INTO  TCOMPPRO
SELECT * FROM TCOMPPRO_AUX

T

INSERT INTO TCOMPPRO
SELECT X.* FROM TCOMPPRO_AUX X,  ESPEPROD E
WHERE X.CDPRODUTO  =  E.CDPRODUTO AND
      X.CDESPEPROD =  E.CDESPEPROD

T

INSERT INTO COMPPROD
SELECT * FROM COMPPROD_AUX A
WHERE CDPRODINSUMO LIKE 'R%'


DELETE FROM COMPPROD_AUX
WHERE CDPRODINSUMO LIKE 'R%'


INSERT INTO COMPPROD
SELECT  DISTINCT A.CDPRODUTO    ,   A.CDESPEPROD,    A.CDTIPOCOMP,
                 R.CDPRODUTO   CDPRODINSUMO ,
                 A.IDUTAPROVREQ,  A.QTINSUMO,
                 A.CDTIPOINSU,      A.SGUNIDADE,     A.IDSEMIACCOMP,
                 A.IDUTILOTEPR,     A.CDPRODUTOAUX , A.CDESPPRODAUX ,
                 A.NRORDCOMP,       A.TXCOMITCOMP,   A.IDIMPCOMPDEL,
                 A.VRLOADCOMP,      A.DSLOADCOMP,    A.QTBRUTINSPRO,
                A.VRPRENDINSPR
FROM COMPPROD_AUX A, NOVOSPRODUTOS P, PRODUTO R, ESPEPROD E
WHERE  A.CDPRODINSUMO = P.CDPRODUTOO AND
       P.CDPRODUTON  = R.CDARVPROD   AND
       A.CDPRODUTO   = E.CDPRODUTO    AND
       A.CDESPEPROD  = E.CDESPEPROD



CREATE TABLE PRODUTOAP_AUX AS
SELECT * FROM PRODUTOAP

NAO FOI ATUALIZADA

/


INSERT INTO COMPPROD
SELECT   A.CDPRODUTO    ,   A.CDESPEPROD,    A.CDTIPOCOMP,
                 R.CDPRODUTO   CDPRODINSUMO ,
                 A.IDUTAPROVREQ,  A.QTINSUMO,
                 A.CDTIPOINSU,      A.SGUNIDADE,     A.IDSEMIACCOMP,
                 A.IDUTILOTEPR,     A.CDPRODUTOAUX , A.CDESPPRODAUX ,
                 A.NRORDCOMP,       A.TXCOMITCOMP,   A.IDIMPCOMPDEL,
                 A.VRLOADCOMP,      A.DSLOADCOMP,    A.QTBRUTINSPRO,
                 A.VRPRENDINSPR
FROM COMPPROD@SKY_TESTE A, PRODUTO R,  ESPEPROD P
WHERE (A.CDPRODINSUMO = R.CDPRODUTO    ) AND
      (R.IDPRODCOMISS = '3'             ) AND
      (A.CDPRODUTO    = P.CDPRODUTO)     AND  
      (A.CDESPEPROD   = P.CDESPEPROD) 
ORDER BY R.CDARVPROD



============= SERVICO =======================


CICLO

INSERT INTO CICLO
SELECT * FROM CICLO@SKY_TESTE

INDICE

FORMEMISNF

COMPANHIA



CICLOCIA



FILIAL

UPDATE CDINSCMUNI, CDEMPRESA, CDINSCESTA, CDSERIE

CIAFILI





SERVICOCIA
COMPANHIA
PRODUTO




VRPESOUNID
NMPRODINGLES
NMPRODESPANH
VRPEFATOCORR


SELECT VRPESOUNID, NMPRODINGLES, NMPRODESPANH, VRPEFATOCORR, N.CDPRODUTON
FROM PRODUTO@SKY_TESTE P, NOVOSPRODUTOS N, PRODUTO R
WHERE  N.CDPRODUTON = P.CDARVPROD





DECLARE
   V_CDPRODUTO   VARCHAR2(10);
BEGIN
   FOR C_PRODALTER IN  (SELECT CDARVPROD, VRPESOUNID, NMPRODINGLES, NMPRODESPANH, VRPEFATOCORR, N.CDPRODUTON
                        FROM PRODUTO@SKY_TESTE P, NOVOSPRODUTOS N
                        WHERE  N.CDPRODUTOO = P.CDPRODUTO) LOOP


       UPDATE PRODUTO
       SET VRPESOUNID   = C_PRODALTER.VRPESOUNID,
           NMPRODINGLES = C_PRODALTER.NMPRODINGLES,
           NMPRODESPANH = C_PRODALTER.NMPRODESPANH,
           VRPEFATOCORR = C_PRODALTER.VRPEFATOCORR
       WHERE CDARVPROD  = C_PRODALTER.CDPRODUTON;
      COMMIT;
   END LOOP;
END;

/

DECLARE
   V_CDPRODUTO   VARCHAR2(10);
BEGIN
   FOR C_PRODALTER IN  (SELECT CDARVPROD, VRPESOUNID, NMPRODINGLES, NMPRODESPANH, VRPEFATOCORR, N.CDPRODUTON
                        FROM PRODUTO@SKY_TESTE P, NOVOSPRODUTOS1 N
                        WHERE  N.CDPRODUTOO = P.CDPRODUTO) LOOP


       UPDATE PRODUTO
       SET VRPESOUNID   = C_PRODALTER.VRPESOUNID,
           NMPRODINGLES = C_PRODALTER.NMPRODINGLES,
           NMPRODESPANH = C_PRODALTER.NMPRODESPANH,
           VRPEFATOCORR = C_PRODALTER.VRPEFATOCORR
       WHERE CDARVPROD  = C_PRODALTER.CDPRODUTON;
      COMMIT;
   END LOOP;
END;



