IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'MONTA_HISTORICO' AND
                 TYPE = 'P' 	         AND
	              U.UID = O.UID      AND
	              U.NAME = USER)
DROP PROCEDURE MONTA_HISTORICO
GO
                                                                                          
CREATE PROCEDURE MONTA_HISTORICO(
   @P_CODIGO           VARCHAR,
   @P_STLANCAMENTO     VARCHAR,
   @P_CDHISTPADR       VARCHAR(04),
   @P_NRNOTAFISC       VARCHAR,
   @P_DTEMISSAO        DATETIME,
   @P_TIPOHISTORICO    VARCHAR,
   @P_CDAJUCONTA       VARCHAR,
   @P_DSHISTPADR       VARCHAR OUTPUT)
AS
BEGIN
   DECLARE @V_DSHISTPADR     VARCHAR(1000);
   DECLARE @V_STDSHISTPADR   VARCHAR(1000);
   DECLARE @V_STNOTAFISC     VARCHAR(20);
   DECLARE @V_NRINSJURCLIE   VARCHAR(20);
   DECLARE @V_IDTPIJURCLIE   VARCHAR(01);
   DECLARE @V_NMFANTFORN     VARCHAR(50);
   DECLARE @V_NMFANTCLIE     VARCHAR(50);
   DECLARE @V_NMRAZSOCCLIE   VARCHAR(50);
   DECLARE @V_NRINSJURFORN   VARCHAR(50);
   DECLARE @V_NMRAZSOCFORN   VARCHAR(50);
   DECLARE @V_IDENTRSAIDOP   VARCHAR(01);
   DECLARE @V_CDFILIEMIT     VARCHAR(04);
   DECLARE @V_CDFILIRECE     VARCHAR(04);
   DECLARE @V_DTEMISSAO      DATETIME;
   DECLARE @V_DTENTRSAID     DATETIME;
   DECLARE @V_CDFILIAL       VARCHAR(04);
   DECLARE @V_NRLANCTONF     VARCHAR(10);
   DECLARE @V_NRSEQITPROD    VARCHAR(04);
   DECLARE @V_VRCONTITEM     FLOAT;
   DECLARE @V_DSPRODEMIS     VARCHAR(400);
   DECLARE @V_NRNOTAFISC     VARCHAR(10);
   DECLARE @V_IDTPIJURFORN   VARCHAR(01);
                                                                                      
   /* VARIAVEIS DO CURSOR C_CONTAPAGAR */
   DECLARE @C_CONTAPAGAR_CDFILIAL           VARCHAR(04);
   DECLARE @C_CONTAPAGAR_NRLANCTONF         VARCHAR(10);
   DECLARE @C_CONTAPAGAR_NRSEQVENPAG        VARCHAR(02);
   DECLARE @C_CONTAPAGAR_VRATUAPAG          DOUBLE PRECISION;
   DECLARE @C_CONTAPAGAR_DTATUAVENPAG       DATETIME;
   DECLARE @C_CONTAPAGAR_DTORIGVENPAG       DATETIME;
   DECLARE @C_CONTAPAGAR_DSCONTAPAG         VARCHAR(100);
   DECLARE @C_CONTAPAGAR_CDTPCTPAGAR        VARCHAR(06);
   DECLARE @C_CONTAPAGAR_QTDIASVENPAG       INT;
   DECLARE @C_CONTAPAGAR_NRPARCELAPAG       VARCHAR(02);
   DECLARE @C_CONTAPAGAR_IDSTATPAG          VARCHAR(01);
   DECLARE @C_CONTAPAGAR_CDFILIBPAG         VARCHAR(04);
   DECLARE @C_CONTAPAGAR_NRLANBOLPAG        VARCHAR(10);
   DECLARE @C_CONTAPAGAR_CDSERIEENTR        VARCHAR(05);
   DECLARE @C_CONTAPAGAR_CDMOTIPARC         VARCHAR(02);
   DECLARE @C_CONTAPAGAR_VRORIGPAG          DOUBLE PRECISION;
   DECLARE @C_CONTAPAGAR_CDCLASSFINA        VARCHAR(06);
   DECLARE @C_CONTAPAGAR_CDEMPRESA          VARCHAR(02);
   DECLARE @C_CONTAPAGAR_CDFIMOVFLPAG       VARCHAR(04);
   DECLARE @C_CONTAPAGAR_DTMOVFLUXO         DATETIME;
   DECLARE @C_CONTAPAGAR_IDMOVFLUXO         VARCHAR(01);
   DECLARE @C_CONTAPAGAR_CDINSCESTA         VARCHAR(16);
   DECLARE @C_CONTAPAGAR_CDINSCMUNI         VARCHAR(16);
   DECLARE @C_CONTAPAGAR_VRNOTAFISC         DOUBLE PRECISION;
   DECLARE @C_CONTAPAGAR_CDMOTIPROR         VARCHAR(02);
   DECLARE @C_CONTAPAGAR_CDFILIORIG         VARCHAR(30);
   DECLARE @C_CONTAPAGAR_CDTIPOOPER         VARCHAR(02);
   DECLARE @C_CONTAPAGAR_IDTPINSJUR         VARCHAR(01);
   DECLARE @C_CONTAPAGAR_NRINSJURFORN       VARCHAR(20);
   DECLARE @C_CONTAPAGAR_CDFORNECED         VARCHAR(21);
   DECLARE @C_CONTAPAGAR_NRNOTAFISC         VARCHAR(20);
   DECLARE @C_CONTAPAGAR_DTEMISSAO          CHAR(10);
   DECLARE @C_CONTAPAGAR_DTENTRSAID         CHAR(10);
   DECLARE @C_CONTAPAGAR_IDSTATUS           VARCHAR(01);
   DECLARE @C_CONTAPAGAR_CDAUTODESP         VARCHAR(10);
   DECLARE @C_CONTAPAGAR_NRLANCTBDOC        VARCHAR(12);
   DECLARE @C_CONTAPAGAR_NMFANTFORN         VARCHAR(40);
   DECLARE @C_CONTAPAGAR_NMRAZSOCFORN       VARCHAR(40);
                                                                                        
   /* VARIAVEIS DO CURSOR  C_CDAJUCTPAG */
   DECLARE @C_CDAJUCTPAG_DSAJUCTPAG         VARCHAR(40);
                                                                                    
   /* VARIAVEIS DO CURSOR @C_CONTARECEBER */
   DECLARE @C_CONTARECEBER_CDFILIAL         VARCHAR(04);
   DECLARE @C_CONTARECEBER_NRLANCTONF       VARCHAR(10);
   DECLARE @C_CONTARECEBER_NRSEQVENREC      VARCHAR(02);
   DECLARE @C_CONTARECEBER_VRATUAREC        DOUBLE PRECISION;
   DECLARE @C_CONTARECEBER_DTATUAVENREC     DATETIME;
   DECLARE @C_CONTARECEBER_DTORIGVENREC     DATETIME;
   DECLARE @C_CONTARECEBER_DSCONTAREC       VARCHAR(100);
   DECLARE @C_CONTARECEBER_CDTPCTRECEB      VARCHAR(06);
   DECLARE @C_CONTARECEBER_QTDIASVENREC     INT;
   DECLARE @C_CONTARECEBER_NRPARCELAREC     VARCHAR(02);
   DECLARE @C_CONTARECEBER_IDSTATREC        VARCHAR(01);
   DECLARE @C_CONTARECEBER_CDFILIBOLREC     VARCHAR(04);
   DECLARE @C_CONTARECEBER_NRLANBOLREC      VARCHAR(10);
   DECLARE @C_CONTARECEBER_CDSERIE          VARCHAR(05);
   DECLARE @C_CONTARECEBER_CDMOTIPARC       VARCHAR(02);
   DECLARE @C_CONTARECEBER_VRORIGREC        DOUBLE PRECISION;
   DECLARE @C_CONTARECEBER_CDCLASSFINA      VARCHAR(06);
   DECLARE @C_CONTARECEBER_CDEMPRESA        VARCHAR(02);
   DECLARE @C_CONTARECEBER_CDFIMOVFLREC     VARCHAR(04);
   DECLARE @C_CONTARECEBER_DTMOVFLUXO       DATETIME;
   DECLARE @C_CONTARECEBER_IDMOVFLUXO       VARCHAR(01);
   DECLARE @C_CONTARECEBER_CDINSCESTA       VARCHAR(16);
   DECLARE @C_CONTARECEBER_CDINSCMUNI       VARCHAR(16);
   DECLARE @C_CONTARECEBER_VRNOTAFISC       DOUBLE PRECISION;
   DECLARE @C_CONTARECEBER_CDFILIEMIT       VARCHAR(04);
   DECLARE @C_CONTARECEBER_CDTIPOOPER       VARCHAR(02);
   DECLARE @C_CONTARECEBER_IDTPINSJUR       VARCHAR(01);
   DECLARE @C_CONTARECEBER_NRINSJURNF       VARCHAR(20);
   DECLARE @C_CONTARECEBER_NRINSJURCLIE     VARCHAR(20);
   DECLARE @C_CONTARECEBER_CDCLIENTE        VARCHAR(21);
   DECLARE @C_CONTARECEBER_NRNOTAFISC       VARCHAR(20);
   DECLARE @C_CONTARECEBER_DTEMISSAO        CHAR(10);
   DECLARE @C_CONTARECEBER_DTENTRSAID       CHAR(10);
   DECLARE @C_CONTARECEBER_IDSTATUS         VARCHAR(01);
   DECLARE @C_CONTARECEBER_NRLANCTBDOC      VARCHAR(12);
   DECLARE @C_CONTARECEBER_DTPREVRECEBI     DATETIME;
   DECLARE @C_CONTARECEBER_QTDIASPREREC     DOUBLE PRECISION;
   DECLARE @C_CONTARECEBER_NMFANTCLIE       VARCHAR(50);
   DECLARE @C_CONTARECEBER_NMRAZSOCCLIE     VARCHAR(50);
                                                                                           
   /* VARIAVEIS DO CURSOR C_CDAJUCTPAG */
   DECLARE @C_CDAJUCTPAG_DSAJUCTREC         VARCHAR(40);

   /* VARIAVEIS DO CURSOR C_BCO_LANCCORR */
   DECLARE @C_BCO_LANCCORR_DTMOVICRED       DATETIME;
   DECLARE @C_BCO_LANCCORR_TIPO             VARCHAR(30);
   DECLARE @C_BCO_LANCCORR_CDHISTPADR       VARCHAR(04);
   DECLARE @C_BCO_LANCCORR_CDCONTCTBL       VARCHAR(20);
   DECLARE @C_BCO_LANCCORR_CDTIPO           VARCHAR(02);
   DECLARE @C_BCO_LANCCORR_LANCCONT         VARCHAR(12);
   DECLARE @C_BCO_LANCCORR_DSMOVICRED       VARCHAR(40);
   DECLARE @C_BCO_LANCCORR_VRMOVICRED       DOUBLE PRECISION;
   DECLARE @C_BCO_LANCCORR_NUMERO           VARCHAR(10);
   DECLARE @C_BCO_LANCCORR_NRMOVBANC        VARCHAR(10);
   DECLARE @C_BCO_LANCCORR_CDEMPRESA        VARCHAR(02);
   DECLARE @C_BCO_LANCCORR_CDFILIAL         VARCHAR(04);
   DECLARE @C_BCO_LANCCORR_CDFILILANCA      VARCHAR(01);
   DECLARE @C_BCO_LANCCORR_IDCONTABILIZA    VARCHAR(01);
   DECLARE @C_BCO_LANCCORR_NMRAZSOCCLIE     VARCHAR(50);
   DECLARE @C_BCO_LANCCORR_NMFANTCLIE       VARCHAR(50);
   DECLARE @C_BCO_LANCCORR_NMRAZSOCFORN     VARCHAR(40);
   DECLARE @C_BCO_LANCCORR_NMFANTFORN       VARCHAR(40);
   DECLARE @C_BCO_LANCCORR_DEBCRED          VARCHAR(01);
   DECLARE @C_BCO_LANCCORR_NRDOCMBANC       VARCHAR(10);
                                                                                 
   /* VARIAVEIS DO CURSOR C_BCO_TRANSCCOR */
   DECLARE @C_BCO_TRANSCCOR_CDEMPRESA       VARCHAR(02);
   DECLARE @C_BCO_TRANSCCOR_NRTRANBANC      VARCHAR(10);
   DECLARE @C_BCO_TRANSCCOR_CDREDUCONT      VARCHAR(03);
   DECLARE @C_BCO_TRANSCCOR_NRMOVBANC       VARCHAR(10);
   DECLARE @C_BCO_TRANSCCOR_IDMOVITBANC     VARCHAR(01);
   DECLARE @C_BCO_TRANSCCOR_VRMOVITBANC     DOUBLE PRECISION;
   DECLARE @C_BCO_TRANSCCOR_NRCHEQUE        VARCHAR(06);
   DECLARE @C_BCO_TRANSCCOR_CDBANCO         VARCHAR(03);
   DECLARE @C_BCO_TRANSCCOR_CDAGENCIA       VARCHAR(05);
   DECLARE @C_BCO_TRANSCCOR_CDCONTCORR      VARCHAR(10);
   DECLARE @C_BCO_TRANSCCOR_DSCONTCORR      VARCHAR(20);
   DECLARE @C_BCO_TRANSCCOR_CDPICTCONT      VARCHAR(20);
   DECLARE @C_BCO_TRANSCCOR_CDCONTCTBL      VARCHAR(20);
   DECLARE @C_BCO_TRANSCCOR_NRLCTBTRAN      VARCHAR(12);
   DECLARE @C_BCO_TRANSCCOR_DSHISTTBANC     VARCHAR(40);
   DECLARE @C_BCO_TRANSCCOR_DTTRANBANC      DATETIME;
                                                                           
   /* VARIAVEIS DO CURSOR C_DSBAIXA */
   DECLARE @C_DSBAIXA_NRCHEQUE       VARCHAR(06);
   DECLARE @C_DSBAIXA_DSNOMCHEQUE    VARCHAR(40);
   DECLARE @C_DSBAIXA_DSBAIXAPAG     VARCHAR(250);
                                                                                          
   /* VARIAVEIS DO CURSOR C_DSBAIXA */
   DECLARE @C_DSBAIXA_DSBAIXAREC       VARCHAR(250);
                                                                                           
                                                                                          
   SELECT @V_DSHISTPADR = DSHISTPADR
     FROM HISTPADR
    WHERE CDHISTPADR = @P_CDHISTPADR;
                                                                         
   IF @P_TIPOHISTORICO = '00' BEGIN
         SELECT @V_CDFILIAL    = CDFILIAL, 
                @V_NRLANCTONF  = NRLANCTONF, 
                @V_NRSEQITPROD = NRSEQITPROD, 
                @V_VRCONTITEM  = VRCONTITEM, 
                @V_DSPRODEMIS  = DSPRODEMIS
           FROM ITEMPRODUTO
          WHERE CDFILIAL   = @P_CODIGO
            AND NRLANCTONF = @P_STLANCAMENTO
          ORDER BY NRSEQITPROD;
                                                                            
       IF @P_NRNOTAFISC IS NULL BEGIN
          SET @V_STNOTAFISC = @V_NRNOTAFISC;
       END
       ELSE BEGIN
          SET @V_STNOTAFISC = @P_NRNOTAFISC;
       END;
                                                                         
       SET @V_STDSHISTPADR = @V_DSHISTPADR;
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DOC]', @V_STNOTAFISC);
                                                                                                          
       IF @V_IDENTRSAIDOP = 'E' BEGIN
          SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[FIL]', @V_CDFILIRECE);
       END
       ELSE BEGIN
          SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[FIL]', @V_CDFILIEMIT);
       END;
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[SEQ]', @V_NRLANCTONF);
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[CLI]', @V_NRINSJURCLIE);
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[NFC]', @V_NMFANTCLIE);
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[RSC]', @V_NMRAZSOCCLIE);
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[RSC]', @V_NMRAZSOCCLIE);
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[FOR]', @V_NRINSJURFORN);
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[NFF]', @V_NMFANTFORN);
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[RSF]', @V_NMRAZSOCFORN);
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[NMPR]', @V_DSPRODEMIS);
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DTEM-MA]', SUBSTRING(CONVERT(VARCHAR, @P_DTEMISSAO),4,10));
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DTES-MA]', SUBSTRING(CONVERT(VARCHAR, @V_DTENTRSAID),4,10));
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DTEM]', CONVERT(VARCHAR, @V_DTEMISSAO));
                                                                                                          
       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DTES]', CONVERT(VARCHAR, @V_DTENTRSAID));
                                                                                                          
       IF CHARINDEX('[DOCO]', @V_STDSHISTPADR) > 0 BEGIN
          SELECT @V_STNOTAFISC = N.NRNOTAFISC
            FROM ITEMNOTAFISC I, NOTAFISCAL N
           WHERE I.CDFILIAL = @P_CODIGO
             AND I.NRLANCTONF = @P_STLANCAMENTO
             AND I.CDFILIALIT = N.CDFILIAL
             AND I.NRLANCTONFIT = N.NRLANCTONF;
                                                                                                          
          SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DOCO]', @V_STNOTAFISC);
       END;
   END
   ELSE IF @P_TIPOHISTORICO = '06' BEGIN
           SET @V_STDSHISTPADR = @V_DSHISTPADR;
           DECLARE C_CONTAPAGAR CURSOR FOR 
              SELECT CP.CDFILIAL    , CP.NRLANCTONF  , CP.NRSEQVENPAG , CP.VRATUAPAG  ,
                     CP.DTATUAVENPAG, CP.DTORIGVENPAG, CP.DSCONTAPAG  , CP.CDTPCTPAGAR,
                     CP.QTDIASVENPAG, CP.NRPARCELAPAG, CP.IDSTATPAG   , CP.CDFILIBPAG ,
                     CP.NRLANBOLPAG , NF.CDSERIEENTR , CP.CDMOTIPARC  , CP.VRORIGPAG  ,
                     CP.CDCLASSFINA , CP.CDEMPRESA   , CP.CDFIMOVFLPAG, CP.DTMOVFLUXO ,
                     CP.IDMOVFLUXO, NF.CDINSCESTA, NF.CDINSCMUNI, NF.VRNOTAFISC, CP.CDMOTIPROR,
                     NF.CDFILIRECE AS CDFILIORIG, NF.CDTIPOOPER, NF.IDTPIJURNF AS IDTPINSJUR, NF.NRINSJURNF AS NRINSJURFORN,
                     NF.CDFORNECED, NF.NRNOTAFISC, NF.DTEMISSAO, NF.DTENTRSAID,  NF.IDSTATUS,
                     NF.CDAUTDESPESA AS CDAUTODESP, NF.NRLANCTBDOC,
                     F.NMFANTFORN, F.NMRAZSOCFORN
                FROM CONTAPAGAR CP, NOTAFISCAL NF, FORNECEDOR F
               WHERE (NF.CDFILIAL   = @P_CODIGO)
                 AND (NF.NRLANCTONF = @P_STLANCAMENTO)
                 AND (CP.CDFILIAL   = NF.CDFILIAL  )
                 AND (CP.NRLANCTONF = NF.NRLANCTONF)
                 AND (NF.CDFORNECED = F.CDFORNECED)
               ORDER BY CP.NRLANCTONF, CP.NRSEQVENPAG, CP.DTATUAVENPAG, CP.NRPARCELAPAG;
                                                                                                                 
           OPEN C_CONTAPAGAR;
           FETCH NEXT FROM C_CONTAPAGAR INTO @C_CONTAPAGAR_CDFILIAL,     @C_CONTAPAGAR_NRLANCTONF,   @C_CONTAPAGAR_NRSEQVENPAG,  @C_CONTAPAGAR_VRATUAPAG,
                                             @C_CONTAPAGAR_DTATUAVENPAG, @C_CONTAPAGAR_DTORIGVENPAG, @C_CONTAPAGAR_DSCONTAPAG,   @C_CONTAPAGAR_CDTPCTPAGAR,
                                             @C_CONTAPAGAR_QTDIASVENPAG, @C_CONTAPAGAR_NRPARCELAPAG, @C_CONTAPAGAR_IDSTATPAG,    @C_CONTAPAGAR_CDFILIBPAG,
                                             @C_CONTAPAGAR_NRLANBOLPAG,  @C_CONTAPAGAR_CDSERIEENTR,  @C_CONTAPAGAR_CDMOTIPARC,   @C_CONTAPAGAR_VRORIGPAG,
                                             @C_CONTAPAGAR_CDCLASSFINA,  @C_CONTAPAGAR_CDEMPRESA,    @C_CONTAPAGAR_CDFIMOVFLPAG, @C_CONTAPAGAR_DTMOVFLUXO,
                                             @C_CONTAPAGAR_IDMOVFLUXO,   @C_CONTAPAGAR_CDINSCESTA,   @C_CONTAPAGAR_CDINSCMUNI,   @C_CONTAPAGAR_VRNOTAFISC,
                                             @C_CONTAPAGAR_CDMOTIPROR,   @C_CONTAPAGAR_CDFILIORIG,   @C_CONTAPAGAR_CDTIPOOPER,   @C_CONTAPAGAR_IDTPINSJUR,
                                             @C_CONTAPAGAR_NRINSJURFORN, @C_CONTAPAGAR_CDFORNECED,   @C_CONTAPAGAR_NRNOTAFISC,   @C_CONTAPAGAR_DTEMISSAO,
                                             @C_CONTAPAGAR_DTENTRSAID,   @C_CONTAPAGAR_IDSTATUS,     @C_CONTAPAGAR_CDAUTODESP,   @C_CONTAPAGAR_NRLANCTBDOC,
                                             @C_CONTAPAGAR_NMFANTFORN,   @C_CONTAPAGAR_NMRAZSOCFORN;                                 
                                                                                                        
           WHILE (@@FETCH_STATUS = 0) BEGIN     
                                                                                                                    
             DECLARE C_CDAJUCTPAG CURSOR FOR
               SELECT T.DSAJUCTPAG
                 FROM TIPOAJPAGAR T
                WHERE (T.CDAJUCTPAG = @P_CDAJUCONTA);
                                                                                  
             FETCH NEXT FROM C_CDAJUCTPAG INTO @C_CDAJUCTPAG_DSAJUCTPAG;
                                                                                                        
             WHILE (@@FETCH_STATUS = 0) BEGIN 
                                                                                                                    
                SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[TAP]', @C_CDAJUCTPAG_DSAJUCTPAG);
                SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DAP]', @P_DTEMISSAO);
                                                                                                                    
                FETCH NEXT FROM C_CDAJUCTPAG INTO @C_CDAJUCTPAG_DSAJUCTPAG;
             END;
                                                                                                                    
             SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[FIL]', @C_CONTAPAGAR_CDFILIORIG);
                                                                                                                    
             SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[FOR]', @C_CONTAPAGAR_NRINSJURFORN);
                                                                                                                    
             SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[NFF]', @C_CONTAPAGAR_NMFANTFORN);
                                                                                                                    
             SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[RSF]', @C_CONTAPAGAR_NMRAZSOCFORN);
                                                                                                                    
             SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DOC]', @C_CONTAPAGAR_NRNOTAFISC);
                                                                                                                    
             SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[SEQ]', @C_CONTAPAGAR_NRLANCTBDOC);
                                                                                                                    
             SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[TCP]', @C_CONTAPAGAR_CDTPCTPAGAR);
                                                                                                                    
             SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DCP]', @C_CONTAPAGAR_DSCONTAPAG);
                                                                                              
             FETCH NEXT FROM C_CONTAPAGAR INTO @C_CONTAPAGAR_CDFILIAL,     @C_CONTAPAGAR_NRLANCTONF,   @C_CONTAPAGAR_NRSEQVENPAG,  @C_CONTAPAGAR_VRATUAPAG,
                                               @C_CONTAPAGAR_DTATUAVENPAG, @C_CONTAPAGAR_DTORIGVENPAG, @C_CONTAPAGAR_DSCONTAPAG,   @C_CONTAPAGAR_CDTPCTPAGAR,
                                               @C_CONTAPAGAR_QTDIASVENPAG, @C_CONTAPAGAR_NRPARCELAPAG, @C_CONTAPAGAR_IDSTATPAG,    @C_CONTAPAGAR_CDFILIBPAG,
                                               @C_CONTAPAGAR_NRLANBOLPAG,  @C_CONTAPAGAR_CDSERIEENTR,  @C_CONTAPAGAR_CDMOTIPARC,   @C_CONTAPAGAR_VRORIGPAG,
                                               @C_CONTAPAGAR_CDCLASSFINA,  @C_CONTAPAGAR_CDEMPRESA,    @C_CONTAPAGAR_CDFIMOVFLPAG, @C_CONTAPAGAR_DTMOVFLUXO,
                                               @C_CONTAPAGAR_IDMOVFLUXO,   @C_CONTAPAGAR_CDINSCESTA,   @C_CONTAPAGAR_CDINSCMUNI,   @C_CONTAPAGAR_VRNOTAFISC,
                                               @C_CONTAPAGAR_CDMOTIPROR,   @C_CONTAPAGAR_CDFILIORIG,   @C_CONTAPAGAR_CDTIPOOPER,   @C_CONTAPAGAR_IDTPINSJUR,
                                               @C_CONTAPAGAR_NRINSJURFORN, @C_CONTAPAGAR_CDFORNECED,   @C_CONTAPAGAR_NRNOTAFISC,   @C_CONTAPAGAR_DTEMISSAO,
                                               @C_CONTAPAGAR_DTENTRSAID,   @C_CONTAPAGAR_IDSTATUS,     @C_CONTAPAGAR_CDAUTODESP,   @C_CONTAPAGAR_NRLANCTBDOC,
                                               @C_CONTAPAGAR_NMFANTFORN,   @C_CONTAPAGAR_NMRAZSOCFORN;   
                                                                                                 
           END;
        END
        ELSE IF @P_TIPOHISTORICO = '07' BEGIN
                SET @V_STDSHISTPADR = @V_DSHISTPADR;   
                                                                                       
                DECLARE C_CONTARECEBER CURSOR FOR 
                    SELECT CP.CDFILIAL    , CP.NRLANCTONF  , CP.NRSEQVENREC , CP.VRATUAREC  ,
                           CP.DTATUAVENREC, CP.DTORIGVENREC, CP.DSCONTAREC  , CP.CDTPCTRECEB,
                           CP.QTDIASVENREC, CP.NRPARCELAREC, CP.IDSTATREC   , CP.CDFILIBOLREC ,
                           CP.NRLANBOLREC , NF.CDSERIE     , CP.CDMOTIPARC  , CP.VRORIGREC  ,
                           CP.CDCLASSFINA , CP.CDEMPRESA   , CP.CDFIMOVFLREC, CP.DTMOVFLUXO ,
                           CP.IDMOVFLUXO, NF.CDINSCESTA, NF.CDINSCMUNI, NF.VRNOTAFISC,
                           NF.CDFILIEMIT, NF.CDTIPOOPER, NF.IDTPIJURNF AS IDTPINSJUR, NF.NRINSJURNF AS NRINSJURCLIE,
                           NF.CDCLIENTE, NF.NRNOTAFISC, NF.DTEMISSAO, NF.DTENTRSAID,  NF.IDSTATUS,
                           NF.NRLANCTBDOC, CP.DTPREVRECEBI, CP.QTDIASPREREC,
                           CL.NMFANTCLIE, CL.NMRAZSOCCLIE
                      FROM CONTARECEBER CP, NOTAFISCAL NF, CLIENTE CL
                     WHERE (NF.CDFILIAL      = @P_CODIGO)
                       AND (NF.NRLANCTONF    = @P_STLANCAMENTO)
                       AND (CP.CDFILIAL      = NF.CDFILIAL)
                       AND (CP.NRLANCTONF    = NF.NRLANCTONF)
                       AND (CL.CDCLIENTE     = NF.CDCLIENTE)
                     ORDER BY CP.NRLANCTONF, CP.NRSEQVENREC, CP.DTATUAVENREC, CP.NRPARCELAREC;
                                                                                                                 
                OPEN C_CONTARECEBER;
                FETCH NEXT FROM C_CONTARECEBER INTO @C_CONTARECEBER_CDFILIAL,     @C_CONTARECEBER_NRLANCTONF,   @C_CONTARECEBER_NRSEQVENREC,  @C_CONTARECEBER_VRATUAREC,
                                                    @C_CONTARECEBER_DTATUAVENREC, @C_CONTARECEBER_DTORIGVENREC, @C_CONTARECEBER_DSCONTAREC,   @C_CONTARECEBER_CDTPCTRECEB,
                                                    @C_CONTARECEBER_QTDIASVENREC, @C_CONTARECEBER_NRPARCELAREC, @C_CONTARECEBER_IDSTATREC,    @C_CONTARECEBER_CDFILIBOLREC,
                                                    @C_CONTARECEBER_NRLANBOLREC,  @C_CONTARECEBER_CDSERIE,      @C_CONTARECEBER_CDMOTIPARC,   @C_CONTARECEBER_VRORIGREC,
                                                    @C_CONTARECEBER_CDCLASSFINA,  @C_CONTARECEBER_CDEMPRESA,    @C_CONTARECEBER_CDFIMOVFLREC, @C_CONTARECEBER_DTMOVFLUXO,
                                                    @C_CONTARECEBER_IDMOVFLUXO,   @C_CONTARECEBER_CDINSCESTA,   @C_CONTARECEBER_CDINSCMUNI,   @C_CONTARECEBER_VRNOTAFISC,
                                                    @C_CONTARECEBER_CDFILIEMIT,   @C_CONTARECEBER_CDTIPOOPER,   @C_CONTARECEBER_IDTPINSJUR,   @C_CONTARECEBER_NRINSJURNF,
                                                    @C_CONTARECEBER_NRINSJURCLIE, @C_CONTARECEBER_CDCLIENTE,    @C_CONTARECEBER_NRNOTAFISC,   @C_CONTARECEBER_DTEMISSAO,
                                                    @C_CONTARECEBER_DTENTRSAID,   @C_CONTARECEBER_IDSTATUS,     @C_CONTARECEBER_NRLANCTBDOC,  @C_CONTARECEBER_DTPREVRECEBI,
                                                    @C_CONTARECEBER_QTDIASPREREC, @C_CONTARECEBER_NMFANTCLIE,   @C_CONTARECEBER_NMRAZSOCCLIE;
                                                                                                        
                WHILE (@@FETCH_STATUS = 0) BEGIN     
                                                                                                                    
                   DECLARE C_CDAJUCTPAG CURSOR FOR 
                      SELECT T.DSAJUCTREC
                        FROM TIPOAJRECEBER T
                       WHERE (T.CDAJUCTREC = @P_CDAJUCONTA);
                                                                                  
                   FETCH NEXT FROM C_CDAJUCTPAG INTO @C_CDAJUCTPAG_DSAJUCTREC;
                                                                                                        
                   WHILE (@@FETCH_STATUS = 0) BEGIN 
                                                                                                                    
                     SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[TAP]', @C_CDAJUCTPAG_DSAJUCTREC);
                     SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DAP]', @P_DTEMISSAO);
                                                                                                                    
                     FETCH NEXT FROM C_CDAJUCTPAG INTO @C_CDAJUCTPAG_DSAJUCTREC;
                   END;
                                                                                                                    
                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[FIL]', @C_CONTARECEBER_CDFILIEMIT);
                                                                                                                    
                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[CLI]', @C_CONTARECEBER_NRINSJURCLIE);
                                                                                                                    
                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[NFC]', @C_CONTARECEBER_NMFANTCLIE);
                                                                                                                    
                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[RSC]', @C_CONTARECEBER_NMRAZSOCCLIE);
                                                                                                                    
                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DOC]', @C_CONTARECEBER_NRNOTAFISC);
                                                                                                                    
                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[SEQ]', @C_CONTARECEBER_NRLANCTBDOC);
                                                                                                                    
                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[TCR]', @C_CONTARECEBER_CDTPCTRECEB);
                                                                                                                    
                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DCR]', @C_CONTARECEBER_DSCONTAREC);
                                                                                                                    
                   FETCH NEXT FROM C_CONTARECEBER INTO @C_CONTARECEBER_CDFILIAL,     @C_CONTARECEBER_NRLANCTONF,   @C_CONTARECEBER_NRSEQVENREC,  @C_CONTARECEBER_VRATUAREC,
                                                       @C_CONTARECEBER_DTATUAVENREC, @C_CONTARECEBER_DTORIGVENREC, @C_CONTARECEBER_DSCONTAREC,   @C_CONTARECEBER_CDTPCTRECEB,
                                                       @C_CONTARECEBER_QTDIASVENREC, @C_CONTARECEBER_NRPARCELAREC, @C_CONTARECEBER_IDSTATREC,    @C_CONTARECEBER_CDFILIBOLREC,
                                                       @C_CONTARECEBER_NRLANBOLREC,  @C_CONTARECEBER_CDSERIE,      @C_CONTARECEBER_CDMOTIPARC,   @C_CONTARECEBER_VRORIGREC,
                                                       @C_CONTARECEBER_CDCLASSFINA,  @C_CONTARECEBER_CDEMPRESA,    @C_CONTARECEBER_CDFIMOVFLREC, @C_CONTARECEBER_DTMOVFLUXO,
                                                       @C_CONTARECEBER_IDMOVFLUXO,   @C_CONTARECEBER_CDINSCESTA,   @C_CONTARECEBER_CDINSCMUNI,   @C_CONTARECEBER_VRNOTAFISC,
                                                       @C_CONTARECEBER_CDFILIEMIT,   @C_CONTARECEBER_CDTIPOOPER,   @C_CONTARECEBER_IDTPINSJUR,   @C_CONTARECEBER_NRINSJURNF,
                                                       @C_CONTARECEBER_NRINSJURCLIE, @C_CONTARECEBER_CDCLIENTE,    @C_CONTARECEBER_NRNOTAFISC,   @C_CONTARECEBER_DTEMISSAO,
                                                       @C_CONTARECEBER_DTENTRSAID,   @C_CONTARECEBER_IDSTATUS,     @C_CONTARECEBER_NRLANCTBDOC,  @C_CONTARECEBER_DTPREVRECEBI,
                                                       @C_CONTARECEBER_QTDIASPREREC, @C_CONTARECEBER_NMFANTCLIE,   @C_CONTARECEBER_NMRAZSOCCLIE;
                END;  
             END
             ELSE IF @P_TIPOHISTORICO = '08' BEGIN
                     SET @V_STDSHISTPADR = @V_DSHISTPADR;
                     DECLARE C_BCO_LANCCORR CURSOR FOR 
                        SELECT M.DTMOVICRED, C.DSTPCREDBANC AS TIPO, C.CDHISTPADR, C.CDCONTCTBL, M.CDTPCREDBANC AS CDTIPO,
                               M.NRLCTBMCRED AS LANCCONT, M.DSMOVICRED, M.VRMOVICRED, M.NRMOVICRED AS NUMERO, M.NRMOVBANC ,
                               M.CDEMPRESA, M.CDFILIAL, M.CDFILILANCRE AS CDFILILANCA, C.IDCTBLCRBANC AS IDCONTABILIZA,
                               L.NMRAZSOCCLIE, L.NMFANTCLIE, O.NMRAZSOCFORN, O.NMFANTFORN,
                               'C' AS DEBCRED, B.NRDOCMBANC 
                          FROM TPCREDBANC C, MOVBANCARIO B, MOVCREDBANC M, FORNECEDOR O, CLIENTE L
                         WHERE (C.CDTPCREDBANC = M.CDTPCREDBANC) 
                           AND (M.NRMOVBANC    = B.NRMOVBANC)
                           AND (B.CDREDUCONT   = M.CDREDUCONT)  
                           AND (M.CDREDUCONT   = @P_CODIGO)
                           AND (M.NRMOVBANC    = @P_STLANCAMENTO) 
                           AND (M.CDCLIENTE    = L.CDCLIENTE) 
                           AND (M.CDFORNECED   = O.CDFORNECED)
                         UNION ALL
                        SELECT M.DTMOVIDEBI, C.DSTPDEBIBANC AS TIPO, C.CDHISTPADR, C.CDCONTCTBL, M.CDTPDEBIBANC AS CDTIPO,
                               M.NRLCTBMDEB AS LANCCONT, M.DSMOVIDEBI, M.VRMOVIDEBI, M.NRMOVIDEBI AS NUMERO,M.NRMOVBANC,
                               M.CDEMPRESA, M.CDFILIAL, M.CDFILILANDEB AS CDFILILANCA, C.IDCTBLDBBANC AS IDCONTABILIZA, 
                               L.NMRAZSOCCLIE, L.NMFANTCLIE, O.NMRAZSOCFORN, O.NMFANTFORN,
                               'D' AS DEBCRED, B.NRDOCMBANC
                         FROM TPDEBIBANC C, MOVBANCARIO B, MOVDEBBANC  M, FORNECEDOR  O, CLIENTE L
                        WHERE (C.CDTPDEBIBANC = M.CDTPDEBIBANC) 
                          AND (M.NRMOVBANC    = B.NRMOVBANC)
                          AND (B.CDREDUCONT   = M.CDREDUCONT) 
                          AND (M.CDREDUCONT   = @P_CODIGO)
                          AND (M.NRMOVBANC    = @P_STLANCAMENTO)  
                          AND (M.CDCLIENTE    = L.CDCLIENTE)
                          AND (M.CDFORNECED   = O.CDFORNECED)
                                                                                                                 
                     OPEN C_BCO_LANCCORR;
                     FETCH NEXT FROM C_BCO_LANCCORR INTO @C_BCO_LANCCORR_DTMOVICRED,   @C_BCO_LANCCORR_TIPO,          @C_BCO_LANCCORR_CDHISTPADR,   @C_BCO_LANCCORR_CDCONTCTBL,
                                                         @C_BCO_LANCCORR_CDTIPO,       @C_BCO_LANCCORR_LANCCONT,      @C_BCO_LANCCORR_DSMOVICRED,   @C_BCO_LANCCORR_VRMOVICRED,
                                                         @C_BCO_LANCCORR_NUMERO,       @C_BCO_LANCCORR_NRMOVBANC,     @C_BCO_LANCCORR_CDEMPRESA,    @C_BCO_LANCCORR_CDFILIAL,
                                                         @C_BCO_LANCCORR_CDFILILANCA,  @C_BCO_LANCCORR_IDCONTABILIZA, @C_BCO_LANCCORR_NMRAZSOCCLIE, @C_BCO_LANCCORR_NMFANTCLIE,
                                                         @C_BCO_LANCCORR_NMRAZSOCFORN, @C_BCO_LANCCORR_NMFANTFORN,    @C_BCO_LANCCORR_DEBCRED,      @C_BCO_LANCCORR_NRDOCMBANC;
                                                                                                        
                     WHILE (@@FETCH_STATUS = 0) BEGIN     
                                                                                                                    
                        SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DESC]', @C_BCO_LANCCORR_DSMOVICRED); 
                                                                                                                    
                        SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[TIPO]', @C_BCO_LANCCORR_TIPO);
                                                                                                                    
                        SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[HIMB]', @C_BCO_LANCCORR_DSMOVICRED+'('+@C_BCO_LANCCORR_TIPO+')');
                                                                                                                    
                        SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DOC]', @C_BCO_LANCCORR_NRDOCMBANC);
                                                                                                                    
                        SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[RSC]', @C_BCO_LANCCORR_NMRAZSOCCLIE); 
                                                                                                                    
                        SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[NFC]', @C_BCO_LANCCORR_NMFANTCLIE); 
                                                                                                                    
                        SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[RSF]', @C_BCO_LANCCORR_NMRAZSOCFORN); 
                                                                                                                   
                        SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[NFF]', @C_BCO_LANCCORR_NMFANTFORN);
                                                                                                                    
                        FETCH NEXT FROM C_BCO_LANCCORR INTO @C_BCO_LANCCORR_DTMOVICRED,   @C_BCO_LANCCORR_TIPO,          @C_BCO_LANCCORR_CDHISTPADR,   @C_BCO_LANCCORR_CDCONTCTBL,
                                                            @C_BCO_LANCCORR_CDTIPO,       @C_BCO_LANCCORR_LANCCONT,      @C_BCO_LANCCORR_DSMOVICRED,   @C_BCO_LANCCORR_VRMOVICRED,
                                                            @C_BCO_LANCCORR_NUMERO,       @C_BCO_LANCCORR_NRMOVBANC,     @C_BCO_LANCCORR_CDEMPRESA,    @C_BCO_LANCCORR_CDFILIAL,
                                                            @C_BCO_LANCCORR_CDFILILANCA,  @C_BCO_LANCCORR_IDCONTABILIZA, @C_BCO_LANCCORR_NMRAZSOCCLIE, @C_BCO_LANCCORR_NMFANTCLIE,
                                                            @C_BCO_LANCCORR_NMRAZSOCFORN, @C_BCO_LANCCORR_NMFANTFORN,    @C_BCO_LANCCORR_DEBCRED,      @C_BCO_LANCCORR_NRDOCMBANC;
                     END;
                  END
                  ELSE IF @P_TIPOHISTORICO = '09' BEGIN
                          SET @V_STDSHISTPADR = @V_DSHISTPADR;
                                                                                                       
                          DECLARE C_BCO_TRANSCCOR CURSOR FOR 
                              SELECT I.CDEMPRESA, I.NRTRANBANC, I.CDREDUCONT, I.NRMOVBANC, I.IDMOVITBANC, I.VRMOVITBANC,
                                     I.NRCHEQUE, C.CDBANCO, C.CDAGENCIA, C.CDCONTCORR, C.DSCONTCORR, B.CDPICTCONT, C.CDCONTCTBL,
                                     T.NRLCTBTRAN, T.DSHISTTBANC, T.DTTRANBANC
                                FROM ITTRANSFBANC I, CONTCORR C, BANCO B, TRANSFBANC T, LISTA LI
                               WHERE (T.CDEMPRESA  = I.CDEMPRESA)   
                                 AND (T.NRTRANBANC = I.NRTRANBANC)
                                 AND (I.CDREDUCONT = C.CDREDUCONT) 
                                 AND (C.CDBANCO    = B.CDBANCO)    
                                 AND (I.CDREDUCONT = @P_CODIGO) 
                                 AND (I.NRMOVBANC  = @P_STLANCAMENTO)
                                                                                                                 
                          OPEN C_BCO_TRANSCCOR;
                          FETCH NEXT FROM C_BCO_TRANSCCOR INTO @C_BCO_TRANSCCOR_CDEMPRESA,   @C_BCO_TRANSCCOR_NRTRANBANC,  @C_BCO_TRANSCCOR_CDREDUCONT,  @C_BCO_TRANSCCOR_NRMOVBANC,
                                                               @C_BCO_TRANSCCOR_IDMOVITBANC, @C_BCO_TRANSCCOR_VRMOVITBANC, @C_BCO_TRANSCCOR_NRCHEQUE,    @C_BCO_TRANSCCOR_CDBANCO,
                                                               @C_BCO_TRANSCCOR_CDAGENCIA,   @C_BCO_TRANSCCOR_CDCONTCORR,  @C_BCO_TRANSCCOR_DSCONTCORR,  @C_BCO_TRANSCCOR_CDPICTCONT,
                                                               @C_BCO_TRANSCCOR_CDCONTCTBL,  @C_BCO_TRANSCCOR_NRLCTBTRAN,  @C_BCO_TRANSCCOR_DSHISTTBANC, @C_BCO_TRANSCCOR_DTTRANBANC;
                                                                                                        
                          WHILE (@@FETCH_STATUS = 0) BEGIN     
                                                                                                                    
                                 SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[HITR]', @C_BCO_TRANSCCOR_DSHISTTBANC);
                                 SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[#CHQ]', @C_BCO_TRANSCCOR_NRCHEQUE);
                                                                                                                    
                                 FETCH NEXT FROM C_BCO_TRANSCCOR INTO @C_BCO_TRANSCCOR_CDEMPRESA,   @C_BCO_TRANSCCOR_NRTRANBANC,  @C_BCO_TRANSCCOR_CDREDUCONT,  @C_BCO_TRANSCCOR_NRMOVBANC,
                                                                      @C_BCO_TRANSCCOR_IDMOVITBANC, @C_BCO_TRANSCCOR_VRMOVITBANC, @C_BCO_TRANSCCOR_NRCHEQUE,    @C_BCO_TRANSCCOR_CDBANCO,
                                                                      @C_BCO_TRANSCCOR_CDAGENCIA,   @C_BCO_TRANSCCOR_CDCONTCORR,  @C_BCO_TRANSCCOR_DSCONTCORR,  @C_BCO_TRANSCCOR_CDPICTCONT,
                                                                      @C_BCO_TRANSCCOR_CDCONTCTBL,  @C_BCO_TRANSCCOR_NRLCTBTRAN,  @C_BCO_TRANSCCOR_DSHISTTBANC, @C_BCO_TRANSCCOR_DTTRANBANC;
                          END; 
                       END
                       ELSE IF @P_TIPOHISTORICO = '10' BEGIN
                               SET @V_STDSHISTPADR = @V_DSHISTPADR;
                                                                                                        
                               DECLARE C_DSBAIXA CURSOR FOR 
                                  SELECT B.NRCHEQUE, B.DSNOMCHEQUE, B.DSBAIXAPAG
                                  FROM BAIXAPAGA B
                                 WHERE B.CDFILIAL   = @P_CODIGO
                                   AND B.NRBAIXAPAG = @P_STLANCAMENTO;
                                                                                                                 
                               OPEN C_DSBAIXA;
                               FETCH NEXT FROM C_DSBAIXA INTO @C_DSBAIXA_NRCHEQUE, @C_DSBAIXA_DSNOMCHEQUE, @C_DSBAIXA_DSBAIXAPAG;
                                                                                                        
                               WHILE (@@FETCH_STATUS = 0) BEGIN     
                                                                                                                    
                                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[#CHQ]', @C_DSBAIXA_NRCHEQUE);
                                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DCHQ]', @C_DSBAIXA_DSNOMCHEQUE);
                                   SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DBXPG]', @C_DSBAIXA_DSBAIXAPAG);
                                                                                                                  
                                   FETCH NEXT FROM C_DSBAIXA INTO @C_DSBAIXA_NRCHEQUE, @C_DSBAIXA_DSNOMCHEQUE, @C_DSBAIXA_DSBAIXAPAG;
                               END;
                            END
                            ELSE IF @P_TIPOHISTORICO = '11' BEGIN
                                    SET @V_STDSHISTPADR = @V_DSHISTPADR;
                                                                                                                   
                                    DECLARE C_DSBAIXA CURSOR FOR 
                                       SELECT B.DSBAIXAREC
                                         FROM BAIXARECEBIDA B
                                        WHERE B.CDFILIAL = @P_CODIGO
                                          AND B.NRBAIXAREC = @P_STLANCAMENTO;
                                                                                                                   
                                    FETCH NEXT FROM C_DSBAIXA INTO @C_DSBAIXA_NRCHEQUE, @C_DSBAIXA_DSNOMCHEQUE, @C_DSBAIXA_DSBAIXAPAG;
                                                                                                        
                                    WHILE (@@FETCH_STATUS = 0) BEGIN  
                                                                                                        
                                       SET @V_STDSHISTPADR = REPLACE(@V_STDSHISTPADR, '[DBXPG]', @C_DSBAIXA_DSBAIXAREC);
                                                                                                              
                                       FETCH NEXT FROM C_DSBAIXA INTO @C_DSBAIXA_NRCHEQUE, @C_DSBAIXA_DSNOMCHEQUE, @C_DSBAIXA_DSBAIXAPAG;
                                                                                                                   
                                    END;      
                                 END;  

    SET @P_DSHISTPADR = @V_STDSHISTPADR;
END
GO